var contentScript = (function () {
	'use strict';

	function getDefaultExportFromCjs (x) {
		return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
	}

	var replaceWords$1 = {};

	var browserPolyfill$1 = {exports: {}};

	var browserPolyfill = browserPolyfill$1.exports;

	var hasRequiredBrowserPolyfill;

	function requireBrowserPolyfill () {
		if (hasRequiredBrowserPolyfill) return browserPolyfill$1.exports;
		hasRequiredBrowserPolyfill = 1;
		(function (module, exports) {
			(function (global, factory) {
			  {
			    factory(module);
			  }
			})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : browserPolyfill, function (module) {

			  if (!(globalThis.chrome && globalThis.chrome.runtime && globalThis.chrome.runtime.id)) {
			    throw new Error("This script should only be loaded in a browser extension.");
			  }
			  if (!(globalThis.browser && globalThis.browser.runtime && globalThis.browser.runtime.id)) {
			    const CHROME_SEND_MESSAGE_CALLBACK_NO_RESPONSE_MESSAGE = "The message port closed before a response was received.";

			    // Wrapping the bulk of this polyfill in a one-time-use function is a minor
			    // optimization for Firefox. Since Spidermonkey does not fully parse the
			    // contents of a function until the first time it's called, and since it will
			    // never actually need to be called, this allows the polyfill to be included
			    // in Firefox nearly for free.
			    const wrapAPIs = extensionAPIs => {
			      // NOTE: apiMetadata is associated to the content of the api-metadata.json file
			      // at build time by replacing the following "include" with the content of the
			      // JSON file.
			      const apiMetadata = {
			        "alarms": {
			          "clear": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "clearAll": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "get": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "getAll": {
			            "minArgs": 0,
			            "maxArgs": 0
			          }
			        },
			        "bookmarks": {
			          "create": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "get": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getChildren": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getRecent": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getSubTree": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getTree": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "move": {
			            "minArgs": 2,
			            "maxArgs": 2
			          },
			          "remove": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "removeTree": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "search": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "update": {
			            "minArgs": 2,
			            "maxArgs": 2
			          }
			        },
			        "browserAction": {
			          "disable": {
			            "minArgs": 0,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          },
			          "enable": {
			            "minArgs": 0,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          },
			          "getBadgeBackgroundColor": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getBadgeText": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getPopup": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getTitle": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "openPopup": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "setBadgeBackgroundColor": {
			            "minArgs": 1,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          },
			          "setBadgeText": {
			            "minArgs": 1,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          },
			          "setIcon": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "setPopup": {
			            "minArgs": 1,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          },
			          "setTitle": {
			            "minArgs": 1,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          }
			        },
			        "browsingData": {
			          "remove": {
			            "minArgs": 2,
			            "maxArgs": 2
			          },
			          "removeCache": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "removeCookies": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "removeDownloads": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "removeFormData": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "removeHistory": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "removeLocalStorage": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "removePasswords": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "removePluginData": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "settings": {
			            "minArgs": 0,
			            "maxArgs": 0
			          }
			        },
			        "commands": {
			          "getAll": {
			            "minArgs": 0,
			            "maxArgs": 0
			          }
			        },
			        "contextMenus": {
			          "remove": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "removeAll": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "update": {
			            "minArgs": 2,
			            "maxArgs": 2
			          }
			        },
			        "cookies": {
			          "get": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getAll": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getAllCookieStores": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "remove": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "set": {
			            "minArgs": 1,
			            "maxArgs": 1
			          }
			        },
			        "devtools": {
			          "inspectedWindow": {
			            "eval": {
			              "minArgs": 1,
			              "maxArgs": 2,
			              "singleCallbackArg": false
			            }
			          },
			          "panels": {
			            "create": {
			              "minArgs": 3,
			              "maxArgs": 3,
			              "singleCallbackArg": true
			            },
			            "elements": {
			              "createSidebarPane": {
			                "minArgs": 1,
			                "maxArgs": 1
			              }
			            }
			          }
			        },
			        "downloads": {
			          "cancel": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "download": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "erase": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getFileIcon": {
			            "minArgs": 1,
			            "maxArgs": 2
			          },
			          "open": {
			            "minArgs": 1,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          },
			          "pause": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "removeFile": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "resume": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "search": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "show": {
			            "minArgs": 1,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          }
			        },
			        "extension": {
			          "isAllowedFileSchemeAccess": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "isAllowedIncognitoAccess": {
			            "minArgs": 0,
			            "maxArgs": 0
			          }
			        },
			        "history": {
			          "addUrl": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "deleteAll": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "deleteRange": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "deleteUrl": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getVisits": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "search": {
			            "minArgs": 1,
			            "maxArgs": 1
			          }
			        },
			        "i18n": {
			          "detectLanguage": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getAcceptLanguages": {
			            "minArgs": 0,
			            "maxArgs": 0
			          }
			        },
			        "identity": {
			          "launchWebAuthFlow": {
			            "minArgs": 1,
			            "maxArgs": 1
			          }
			        },
			        "idle": {
			          "queryState": {
			            "minArgs": 1,
			            "maxArgs": 1
			          }
			        },
			        "management": {
			          "get": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getAll": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "getSelf": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "setEnabled": {
			            "minArgs": 2,
			            "maxArgs": 2
			          },
			          "uninstallSelf": {
			            "minArgs": 0,
			            "maxArgs": 1
			          }
			        },
			        "notifications": {
			          "clear": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "create": {
			            "minArgs": 1,
			            "maxArgs": 2
			          },
			          "getAll": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "getPermissionLevel": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "update": {
			            "minArgs": 2,
			            "maxArgs": 2
			          }
			        },
			        "pageAction": {
			          "getPopup": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getTitle": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "hide": {
			            "minArgs": 1,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          },
			          "setIcon": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "setPopup": {
			            "minArgs": 1,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          },
			          "setTitle": {
			            "minArgs": 1,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          },
			          "show": {
			            "minArgs": 1,
			            "maxArgs": 1,
			            "fallbackToNoCallback": true
			          }
			        },
			        "permissions": {
			          "contains": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getAll": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "remove": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "request": {
			            "minArgs": 1,
			            "maxArgs": 1
			          }
			        },
			        "runtime": {
			          "getBackgroundPage": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "getPlatformInfo": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "openOptionsPage": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "requestUpdateCheck": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "sendMessage": {
			            "minArgs": 1,
			            "maxArgs": 3
			          },
			          "sendNativeMessage": {
			            "minArgs": 2,
			            "maxArgs": 2
			          },
			          "setUninstallURL": {
			            "minArgs": 1,
			            "maxArgs": 1
			          }
			        },
			        "sessions": {
			          "getDevices": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "getRecentlyClosed": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "restore": {
			            "minArgs": 0,
			            "maxArgs": 1
			          }
			        },
			        "storage": {
			          "local": {
			            "clear": {
			              "minArgs": 0,
			              "maxArgs": 0
			            },
			            "get": {
			              "minArgs": 0,
			              "maxArgs": 1
			            },
			            "getBytesInUse": {
			              "minArgs": 0,
			              "maxArgs": 1
			            },
			            "remove": {
			              "minArgs": 1,
			              "maxArgs": 1
			            },
			            "set": {
			              "minArgs": 1,
			              "maxArgs": 1
			            }
			          },
			          "managed": {
			            "get": {
			              "minArgs": 0,
			              "maxArgs": 1
			            },
			            "getBytesInUse": {
			              "minArgs": 0,
			              "maxArgs": 1
			            }
			          },
			          "sync": {
			            "clear": {
			              "minArgs": 0,
			              "maxArgs": 0
			            },
			            "get": {
			              "minArgs": 0,
			              "maxArgs": 1
			            },
			            "getBytesInUse": {
			              "minArgs": 0,
			              "maxArgs": 1
			            },
			            "remove": {
			              "minArgs": 1,
			              "maxArgs": 1
			            },
			            "set": {
			              "minArgs": 1,
			              "maxArgs": 1
			            }
			          }
			        },
			        "tabs": {
			          "captureVisibleTab": {
			            "minArgs": 0,
			            "maxArgs": 2
			          },
			          "create": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "detectLanguage": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "discard": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "duplicate": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "executeScript": {
			            "minArgs": 1,
			            "maxArgs": 2
			          },
			          "get": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getCurrent": {
			            "minArgs": 0,
			            "maxArgs": 0
			          },
			          "getZoom": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "getZoomSettings": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "goBack": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "goForward": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "highlight": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "insertCSS": {
			            "minArgs": 1,
			            "maxArgs": 2
			          },
			          "move": {
			            "minArgs": 2,
			            "maxArgs": 2
			          },
			          "query": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "reload": {
			            "minArgs": 0,
			            "maxArgs": 2
			          },
			          "remove": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "removeCSS": {
			            "minArgs": 1,
			            "maxArgs": 2
			          },
			          "sendMessage": {
			            "minArgs": 2,
			            "maxArgs": 3
			          },
			          "setZoom": {
			            "minArgs": 1,
			            "maxArgs": 2
			          },
			          "setZoomSettings": {
			            "minArgs": 1,
			            "maxArgs": 2
			          },
			          "update": {
			            "minArgs": 1,
			            "maxArgs": 2
			          }
			        },
			        "topSites": {
			          "get": {
			            "minArgs": 0,
			            "maxArgs": 0
			          }
			        },
			        "webNavigation": {
			          "getAllFrames": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "getFrame": {
			            "minArgs": 1,
			            "maxArgs": 1
			          }
			        },
			        "webRequest": {
			          "handlerBehaviorChanged": {
			            "minArgs": 0,
			            "maxArgs": 0
			          }
			        },
			        "windows": {
			          "create": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "get": {
			            "minArgs": 1,
			            "maxArgs": 2
			          },
			          "getAll": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "getCurrent": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "getLastFocused": {
			            "minArgs": 0,
			            "maxArgs": 1
			          },
			          "remove": {
			            "minArgs": 1,
			            "maxArgs": 1
			          },
			          "update": {
			            "minArgs": 2,
			            "maxArgs": 2
			          }
			        }
			      };
			      if (Object.keys(apiMetadata).length === 0) {
			        throw new Error("api-metadata.json has not been included in browser-polyfill");
			      }

			      /**
			       * A WeakMap subclass which creates and stores a value for any key which does
			       * not exist when accessed, but behaves exactly as an ordinary WeakMap
			       * otherwise.
			       *
			       * @param {function} createItem
			       *        A function which will be called in order to create the value for any
			       *        key which does not exist, the first time it is accessed. The
			       *        function receives, as its only argument, the key being created.
			       */
			      class DefaultWeakMap extends WeakMap {
			        constructor(createItem, items = undefined) {
			          super(items);
			          this.createItem = createItem;
			        }
			        get(key) {
			          if (!this.has(key)) {
			            this.set(key, this.createItem(key));
			          }
			          return super.get(key);
			        }
			      }

			      /**
			       * Returns true if the given object is an object with a `then` method, and can
			       * therefore be assumed to behave as a Promise.
			       *
			       * @param {*} value The value to test.
			       * @returns {boolean} True if the value is thenable.
			       */
			      const isThenable = value => {
			        return value && typeof value === "object" && typeof value.then === "function";
			      };

			      /**
			       * Creates and returns a function which, when called, will resolve or reject
			       * the given promise based on how it is called:
			       *
			       * - If, when called, `chrome.runtime.lastError` contains a non-null object,
			       *   the promise is rejected with that value.
			       * - If the function is called with exactly one argument, the promise is
			       *   resolved to that value.
			       * - Otherwise, the promise is resolved to an array containing all of the
			       *   function's arguments.
			       *
			       * @param {object} promise
			       *        An object containing the resolution and rejection functions of a
			       *        promise.
			       * @param {function} promise.resolve
			       *        The promise's resolution function.
			       * @param {function} promise.reject
			       *        The promise's rejection function.
			       * @param {object} metadata
			       *        Metadata about the wrapped method which has created the callback.
			       * @param {boolean} metadata.singleCallbackArg
			       *        Whether or not the promise is resolved with only the first
			       *        argument of the callback, alternatively an array of all the
			       *        callback arguments is resolved. By default, if the callback
			       *        function is invoked with only a single argument, that will be
			       *        resolved to the promise, while all arguments will be resolved as
			       *        an array if multiple are given.
			       *
			       * @returns {function}
			       *        The generated callback function.
			       */
			      const makeCallback = (promise, metadata) => {
			        return (...callbackArgs) => {
			          if (extensionAPIs.runtime.lastError) {
			            promise.reject(new Error(extensionAPIs.runtime.lastError.message));
			          } else if (metadata.singleCallbackArg || callbackArgs.length <= 1 && metadata.singleCallbackArg !== false) {
			            promise.resolve(callbackArgs[0]);
			          } else {
			            promise.resolve(callbackArgs);
			          }
			        };
			      };
			      const pluralizeArguments = numArgs => numArgs == 1 ? "argument" : "arguments";

			      /**
			       * Creates a wrapper function for a method with the given name and metadata.
			       *
			       * @param {string} name
			       *        The name of the method which is being wrapped.
			       * @param {object} metadata
			       *        Metadata about the method being wrapped.
			       * @param {integer} metadata.minArgs
			       *        The minimum number of arguments which must be passed to the
			       *        function. If called with fewer than this number of arguments, the
			       *        wrapper will raise an exception.
			       * @param {integer} metadata.maxArgs
			       *        The maximum number of arguments which may be passed to the
			       *        function. If called with more than this number of arguments, the
			       *        wrapper will raise an exception.
			       * @param {boolean} metadata.singleCallbackArg
			       *        Whether or not the promise is resolved with only the first
			       *        argument of the callback, alternatively an array of all the
			       *        callback arguments is resolved. By default, if the callback
			       *        function is invoked with only a single argument, that will be
			       *        resolved to the promise, while all arguments will be resolved as
			       *        an array if multiple are given.
			       *
			       * @returns {function(object, ...*)}
			       *       The generated wrapper function.
			       */
			      const wrapAsyncFunction = (name, metadata) => {
			        return function asyncFunctionWrapper(target, ...args) {
			          if (args.length < metadata.minArgs) {
			            throw new Error(`Expected at least ${metadata.minArgs} ${pluralizeArguments(metadata.minArgs)} for ${name}(), got ${args.length}`);
			          }
			          if (args.length > metadata.maxArgs) {
			            throw new Error(`Expected at most ${metadata.maxArgs} ${pluralizeArguments(metadata.maxArgs)} for ${name}(), got ${args.length}`);
			          }
			          return new Promise((resolve, reject) => {
			            if (metadata.fallbackToNoCallback) {
			              // This API method has currently no callback on Chrome, but it return a promise on Firefox,
			              // and so the polyfill will try to call it with a callback first, and it will fallback
			              // to not passing the callback if the first call fails.
			              try {
			                target[name](...args, makeCallback({
			                  resolve,
			                  reject
			                }, metadata));
			              } catch (cbError) {
			                console.warn(`${name} API method doesn't seem to support the callback parameter, ` + "falling back to call it without a callback: ", cbError);
			                target[name](...args);

			                // Update the API method metadata, so that the next API calls will not try to
			                // use the unsupported callback anymore.
			                metadata.fallbackToNoCallback = false;
			                metadata.noCallback = true;
			                resolve();
			              }
			            } else if (metadata.noCallback) {
			              target[name](...args);
			              resolve();
			            } else {
			              target[name](...args, makeCallback({
			                resolve,
			                reject
			              }, metadata));
			            }
			          });
			        };
			      };

			      /**
			       * Wraps an existing method of the target object, so that calls to it are
			       * intercepted by the given wrapper function. The wrapper function receives,
			       * as its first argument, the original `target` object, followed by each of
			       * the arguments passed to the original method.
			       *
			       * @param {object} target
			       *        The original target object that the wrapped method belongs to.
			       * @param {function} method
			       *        The method being wrapped. This is used as the target of the Proxy
			       *        object which is created to wrap the method.
			       * @param {function} wrapper
			       *        The wrapper function which is called in place of a direct invocation
			       *        of the wrapped method.
			       *
			       * @returns {Proxy<function>}
			       *        A Proxy object for the given method, which invokes the given wrapper
			       *        method in its place.
			       */
			      const wrapMethod = (target, method, wrapper) => {
			        return new Proxy(method, {
			          apply(targetMethod, thisObj, args) {
			            return wrapper.call(thisObj, target, ...args);
			          }
			        });
			      };
			      let hasOwnProperty = Function.call.bind(Object.prototype.hasOwnProperty);

			      /**
			       * Wraps an object in a Proxy which intercepts and wraps certain methods
			       * based on the given `wrappers` and `metadata` objects.
			       *
			       * @param {object} target
			       *        The target object to wrap.
			       *
			       * @param {object} [wrappers = {}]
			       *        An object tree containing wrapper functions for special cases. Any
			       *        function present in this object tree is called in place of the
			       *        method in the same location in the `target` object tree. These
			       *        wrapper methods are invoked as described in {@see wrapMethod}.
			       *
			       * @param {object} [metadata = {}]
			       *        An object tree containing metadata used to automatically generate
			       *        Promise-based wrapper functions for asynchronous. Any function in
			       *        the `target` object tree which has a corresponding metadata object
			       *        in the same location in the `metadata` tree is replaced with an
			       *        automatically-generated wrapper function, as described in
			       *        {@see wrapAsyncFunction}
			       *
			       * @returns {Proxy<object>}
			       */
			      const wrapObject = (target, wrappers = {}, metadata = {}) => {
			        let cache = Object.create(null);
			        let handlers = {
			          has(proxyTarget, prop) {
			            return prop in target || prop in cache;
			          },
			          get(proxyTarget, prop, receiver) {
			            if (prop in cache) {
			              return cache[prop];
			            }
			            if (!(prop in target)) {
			              return undefined;
			            }
			            let value = target[prop];
			            if (typeof value === "function") {
			              // This is a method on the underlying object. Check if we need to do
			              // any wrapping.

			              if (typeof wrappers[prop] === "function") {
			                // We have a special-case wrapper for this method.
			                value = wrapMethod(target, target[prop], wrappers[prop]);
			              } else if (hasOwnProperty(metadata, prop)) {
			                // This is an async method that we have metadata for. Create a
			                // Promise wrapper for it.
			                let wrapper = wrapAsyncFunction(prop, metadata[prop]);
			                value = wrapMethod(target, target[prop], wrapper);
			              } else {
			                // This is a method that we don't know or care about. Return the
			                // original method, bound to the underlying object.
			                value = value.bind(target);
			              }
			            } else if (typeof value === "object" && value !== null && (hasOwnProperty(wrappers, prop) || hasOwnProperty(metadata, prop))) {
			              // This is an object that we need to do some wrapping for the children
			              // of. Create a sub-object wrapper for it with the appropriate child
			              // metadata.
			              value = wrapObject(value, wrappers[prop], metadata[prop]);
			            } else if (hasOwnProperty(metadata, "*")) {
			              // Wrap all properties in * namespace.
			              value = wrapObject(value, wrappers[prop], metadata["*"]);
			            } else {
			              // We don't need to do any wrapping for this property,
			              // so just forward all access to the underlying object.
			              Object.defineProperty(cache, prop, {
			                configurable: true,
			                enumerable: true,
			                get() {
			                  return target[prop];
			                },
			                set(value) {
			                  target[prop] = value;
			                }
			              });
			              return value;
			            }
			            cache[prop] = value;
			            return value;
			          },
			          set(proxyTarget, prop, value, receiver) {
			            if (prop in cache) {
			              cache[prop] = value;
			            } else {
			              target[prop] = value;
			            }
			            return true;
			          },
			          defineProperty(proxyTarget, prop, desc) {
			            return Reflect.defineProperty(cache, prop, desc);
			          },
			          deleteProperty(proxyTarget, prop) {
			            return Reflect.deleteProperty(cache, prop);
			          }
			        };

			        // Per contract of the Proxy API, the "get" proxy handler must return the
			        // original value of the target if that value is declared read-only and
			        // non-configurable. For this reason, we create an object with the
			        // prototype set to `target` instead of using `target` directly.
			        // Otherwise we cannot return a custom object for APIs that
			        // are declared read-only and non-configurable, such as `chrome.devtools`.
			        //
			        // The proxy handlers themselves will still use the original `target`
			        // instead of the `proxyTarget`, so that the methods and properties are
			        // dereferenced via the original targets.
			        let proxyTarget = Object.create(target);
			        return new Proxy(proxyTarget, handlers);
			      };

			      /**
			       * Creates a set of wrapper functions for an event object, which handles
			       * wrapping of listener functions that those messages are passed.
			       *
			       * A single wrapper is created for each listener function, and stored in a
			       * map. Subsequent calls to `addListener`, `hasListener`, or `removeListener`
			       * retrieve the original wrapper, so that  attempts to remove a
			       * previously-added listener work as expected.
			       *
			       * @param {DefaultWeakMap<function, function>} wrapperMap
			       *        A DefaultWeakMap object which will create the appropriate wrapper
			       *        for a given listener function when one does not exist, and retrieve
			       *        an existing one when it does.
			       *
			       * @returns {object}
			       */
			      const wrapEvent = wrapperMap => ({
			        addListener(target, listener, ...args) {
			          target.addListener(wrapperMap.get(listener), ...args);
			        },
			        hasListener(target, listener) {
			          return target.hasListener(wrapperMap.get(listener));
			        },
			        removeListener(target, listener) {
			          target.removeListener(wrapperMap.get(listener));
			        }
			      });
			      const onRequestFinishedWrappers = new DefaultWeakMap(listener => {
			        if (typeof listener !== "function") {
			          return listener;
			        }

			        /**
			         * Wraps an onRequestFinished listener function so that it will return a
			         * `getContent()` property which returns a `Promise` rather than using a
			         * callback API.
			         *
			         * @param {object} req
			         *        The HAR entry object representing the network request.
			         */
			        return function onRequestFinished(req) {
			          const wrappedReq = wrapObject(req, {} /* wrappers */, {
			            getContent: {
			              minArgs: 0,
			              maxArgs: 0
			            }
			          });
			          listener(wrappedReq);
			        };
			      });
			      const onMessageWrappers = new DefaultWeakMap(listener => {
			        if (typeof listener !== "function") {
			          return listener;
			        }

			        /**
			         * Wraps a message listener function so that it may send responses based on
			         * its return value, rather than by returning a sentinel value and calling a
			         * callback. If the listener function returns a Promise, the response is
			         * sent when the promise either resolves or rejects.
			         *
			         * @param {*} message
			         *        The message sent by the other end of the channel.
			         * @param {object} sender
			         *        Details about the sender of the message.
			         * @param {function(*)} sendResponse
			         *        A callback which, when called with an arbitrary argument, sends
			         *        that value as a response.
			         * @returns {boolean}
			         *        True if the wrapped listener returned a Promise, which will later
			         *        yield a response. False otherwise.
			         */
			        return function onMessage(message, sender, sendResponse) {
			          let didCallSendResponse = false;
			          let wrappedSendResponse;
			          let sendResponsePromise = new Promise(resolve => {
			            wrappedSendResponse = function (response) {
			              didCallSendResponse = true;
			              resolve(response);
			            };
			          });
			          let result;
			          try {
			            result = listener(message, sender, wrappedSendResponse);
			          } catch (err) {
			            result = Promise.reject(err);
			          }
			          const isResultThenable = result !== true && isThenable(result);

			          // If the listener didn't returned true or a Promise, or called
			          // wrappedSendResponse synchronously, we can exit earlier
			          // because there will be no response sent from this listener.
			          if (result !== true && !isResultThenable && !didCallSendResponse) {
			            return false;
			          }

			          // A small helper to send the message if the promise resolves
			          // and an error if the promise rejects (a wrapped sendMessage has
			          // to translate the message into a resolved promise or a rejected
			          // promise).
			          const sendPromisedResult = promise => {
			            promise.then(msg => {
			              // send the message value.
			              sendResponse(msg);
			            }, error => {
			              // Send a JSON representation of the error if the rejected value
			              // is an instance of error, or the object itself otherwise.
			              let message;
			              if (error && (error instanceof Error || typeof error.message === "string")) {
			                message = error.message;
			              } else {
			                message = "An unexpected error occurred";
			              }
			              sendResponse({
			                __mozWebExtensionPolyfillReject__: true,
			                message
			              });
			            }).catch(err => {
			              // Print an error on the console if unable to send the response.
			              console.error("Failed to send onMessage rejected reply", err);
			            });
			          };

			          // If the listener returned a Promise, send the resolved value as a
			          // result, otherwise wait the promise related to the wrappedSendResponse
			          // callback to resolve and send it as a response.
			          if (isResultThenable) {
			            sendPromisedResult(result);
			          } else {
			            sendPromisedResult(sendResponsePromise);
			          }

			          // Let Chrome know that the listener is replying.
			          return true;
			        };
			      });
			      const wrappedSendMessageCallback = ({
			        reject,
			        resolve
			      }, reply) => {
			        if (extensionAPIs.runtime.lastError) {
			          // Detect when none of the listeners replied to the sendMessage call and resolve
			          // the promise to undefined as in Firefox.
			          // See https://github.com/mozilla/webextension-polyfill/issues/130
			          if (extensionAPIs.runtime.lastError.message === CHROME_SEND_MESSAGE_CALLBACK_NO_RESPONSE_MESSAGE) {
			            resolve();
			          } else {
			            reject(new Error(extensionAPIs.runtime.lastError.message));
			          }
			        } else if (reply && reply.__mozWebExtensionPolyfillReject__) {
			          // Convert back the JSON representation of the error into
			          // an Error instance.
			          reject(new Error(reply.message));
			        } else {
			          resolve(reply);
			        }
			      };
			      const wrappedSendMessage = (name, metadata, apiNamespaceObj, ...args) => {
			        if (args.length < metadata.minArgs) {
			          throw new Error(`Expected at least ${metadata.minArgs} ${pluralizeArguments(metadata.minArgs)} for ${name}(), got ${args.length}`);
			        }
			        if (args.length > metadata.maxArgs) {
			          throw new Error(`Expected at most ${metadata.maxArgs} ${pluralizeArguments(metadata.maxArgs)} for ${name}(), got ${args.length}`);
			        }
			        return new Promise((resolve, reject) => {
			          const wrappedCb = wrappedSendMessageCallback.bind(null, {
			            resolve,
			            reject
			          });
			          args.push(wrappedCb);
			          apiNamespaceObj.sendMessage(...args);
			        });
			      };
			      const staticWrappers = {
			        devtools: {
			          network: {
			            onRequestFinished: wrapEvent(onRequestFinishedWrappers)
			          }
			        },
			        runtime: {
			          onMessage: wrapEvent(onMessageWrappers),
			          onMessageExternal: wrapEvent(onMessageWrappers),
			          sendMessage: wrappedSendMessage.bind(null, "sendMessage", {
			            minArgs: 1,
			            maxArgs: 3
			          })
			        },
			        tabs: {
			          sendMessage: wrappedSendMessage.bind(null, "sendMessage", {
			            minArgs: 2,
			            maxArgs: 3
			          })
			        }
			      };
			      const settingMetadata = {
			        clear: {
			          minArgs: 1,
			          maxArgs: 1
			        },
			        get: {
			          minArgs: 1,
			          maxArgs: 1
			        },
			        set: {
			          minArgs: 1,
			          maxArgs: 1
			        }
			      };
			      apiMetadata.privacy = {
			        network: {
			          "*": settingMetadata
			        },
			        services: {
			          "*": settingMetadata
			        },
			        websites: {
			          "*": settingMetadata
			        }
			      };
			      return wrapObject(extensionAPIs, staticWrappers, apiMetadata);
			    };

			    // The build process adds a UMD wrapper around this file, which makes the
			    // `module` variable available.
			    module.exports = wrapAPIs(chrome);
			  } else {
			    module.exports = globalThis.browser;
			  }
			});
			
		} (browserPolyfill$1));
		return browserPolyfill$1.exports;
	}

	var dist = {};

	var hasRequiredDist;

	function requireDist () {
		if (hasRequiredDist) return dist;
		hasRequiredDist = 1;
		/**
		 * @license
		 * Copyright 2019 Ludan Stoecklé
		 * SPDX-License-Identifier: Apache-2.0
		 */
		Object.defineProperty(dist, "__esModule", { value: true });
		dist.getConjugation = dist.getVerbInfo = dist.getIngPart = dist.mergeVerbsData = void 0;
		const tenses = [
		    // SIMPLE
		    'SIMPLE_PAST',
		    'PAST',
		    'SIMPLE_PRESENT',
		    'PRESENT',
		    'SIMPLE_FUTURE',
		    'FUTURE',
		    // PROGRESSIVE
		    'PROGRESSIVE_PAST',
		    'PROGRESSIVE_PRESENT',
		    'PROGRESSIVE_FUTURE',
		    // PERFECT
		    'PERFECT_PAST',
		    'PERFECT_PRESENT',
		    'PERFECT_FUTURE',
		    // PERFECT PROGRESSIVE
		    'PERFECT_PROGRESSIVE_PAST',
		    'PERFECT_PROGRESSIVE_PRESENT',
		    'PERFECT_PROGRESSIVE_FUTURE',
		    // PARTICIPLE
		    'PARTICIPLE_PRESENT',
		    'PARTICIPLE_PAST',
		];
		const modals = ['can', 'could', 'may', 'might', 'must', 'shall', 'should', 'will', 'would', 'ought'];
		// helpers
		function mergeVerbsData(irregularsInfo, gerundsInfo) {
		    const res = {};
		    // gerunds
		    if (gerundsInfo) {
		        const gerundKeys = Object.keys(gerundsInfo);
		        for (const gerundKey of gerundKeys) {
		            const gerundVal = gerundsInfo[gerundKey];
		            res[gerundKey] = [null, null, gerundVal];
		        }
		    }
		    // irregulars
		    if (irregularsInfo) {
		        const irregularKeys = Object.keys(irregularsInfo);
		        for (const irregularKey of irregularKeys) {
		            const irregularVal = irregularsInfo[irregularKey];
		            if (!res[irregularKey]) {
		                res[irregularKey] = [irregularVal[0][0], irregularVal[0][1], null];
		            }
		            else {
		                res[irregularKey] = [irregularVal[0][0], irregularVal[0][1], res[irregularKey][2]];
		            }
		        }
		    }
		    return res;
		}
		dist.mergeVerbsData = mergeVerbsData;
		function getIrregularHelper(verbsInfo, verb, index) {
		    const verbInfo = getVerbInfo(verbsInfo, verb);
		    if (verbInfo && verbInfo.length != 0) {
		        return verbInfo[index];
		    }
		    else {
		        return null;
		    }
		}
		function getCommonEdPart(verb) {
		    if (verb.endsWith('ie') || verb.endsWith('ee')) {
		        return verb + 'd';
		    }
		    else if (yWithVowel(verb)) {
		        // vowel + y: play -> played
		        return verb + 'ed';
		    }
		    else if (verb.endsWith('y')) {
		        // no vowel + y: cry -> cried
		        return verb.substring(0, verb.length - 1) + 'ied';
		    }
		    else if (verb.endsWith('e')) {
		        return verb + 'd';
		    }
		    else {
		        return verb + 'ed';
		    }
		}
		function getPastPart(verbsInfo, verb) {
		    if (verb === 'be') {
		        return 'been';
		    }
		    else {
		        const irregular = getIrregularHelper(verbsInfo, verb, 1);
		        if (irregular) {
		            return irregular;
		        }
		        else {
		            return getCommonEdPart(verb);
		        }
		    }
		}
		function getPreteritPart(verbsInfo, verb, person) {
		    let irregular;
		    if (verb === 'be') {
		        if (person === 0 || person === 2) {
		            return 'was';
		        }
		        else {
		            return 'were';
		        }
		    }
		    else if ((irregular = getIrregularHelper(verbsInfo, verb, 0))) {
		        return irregular;
		    }
		    else {
		        return getCommonEdPart(verb);
		    }
		}
		function getIngPart(verbsInfo, verb) {
		    const consonants = 'bcdfghjklmnpqrstvxzw';
		    const irregular = getIrregularHelper(verbsInfo, verb, 2);
		    if (irregular) {
		        return irregular;
		    }
		    else if (verb.match(new RegExp(`[${consonants}]e$`, 'g')) && verb != 'be' && verb != 'singe') {
		        // If  the  infinitive  ends  with  a  consonant followed by an –e,
		        // you have to take off the –e to form your present participle.
		        // this is not in the english-verbs-gerunds list
		        // hum and unless it is 'to be'! which becomes being, not bing.
		        return verb.substring(0, verb.length - 1) + 'ing';
		    }
		    else {
		        return verb + 'ing';
		    }
		}
		dist.getIngPart = getIngPart;
		/* does not throw an exception:
		most verb conjugation is rule based, thus not finding it in the resource is not a problem */
		function getVerbInfo(verbsInfo, verb) {
		    return verbsInfo ? verbsInfo[verb] : null;
		}
		dist.getVerbInfo = getVerbInfo;
		// 1 per tense
		function getSimplePast(verbsInfo, verb, person) {
		    return getPreteritPart(verbsInfo, verb, person);
		}
		function yWithVowel(verb) {
		    return verb.match(/[aeiouy]y$/) !== null;
		}
		function getSimplePresentHeShe(verb) {
		    if (modals.indexOf(verb) > -1) {
		        return verb;
		    }
		    else if (verb === 'have') {
		        return 'has';
		    }
		    else if (verb === 'be') {
		        return 'is';
		    }
		    else if (verb === 'do') {
		        return 'does';
		    }
		    else if (verb === 'go') {
		        return 'goes';
		    }
		    else if (yWithVowel(verb)) {
		        // vowel + y: play -> plays
		        return verb + 's';
		    }
		    else if (verb.endsWith('y')) {
		        // no vowel + y: fly -> flies
		        return verb.substring(0, verb.length - 1) + 'ies';
		    }
		    else if (verb.endsWith('ss') || verb.endsWith('x') || verb.endsWith('sh') || verb.endsWith('ch')) {
		        return verb + 'es';
		    }
		    else {
		        // default
		        return verb + 's';
		    }
		}
		function getSimplePresent(verb, person) {
		    if (person != 2) {
		        if (verb === 'be') {
		            if (person === 0) {
		                return 'am';
		            }
		            else {
		                return 'are';
		            }
		        }
		        else {
		            return verb;
		        }
		    }
		    else {
		        return getSimplePresentHeShe(verb);
		    }
		}
		function getSimpleFuture(verb, person, isGoingTo, negative) {
		    if (isGoingTo) {
		        return getSimplePresent('be', person) + ' ' + getNegative(negative) + 'going to ' + verb;
		    }
		    else {
		        return 'will ' + getNegative(negative) + verb;
		    }
		}
		function getNegative(negative) {
		    return negative ? 'not ' : '';
		}
		function getProgressivePast(verbsInfo, verb, person, negative) {
		    return getPreteritPart(verbsInfo, 'be', person) + ' ' + getNegative(negative) + getIngPart(verbsInfo, verb);
		}
		function getProgressivePresent(verbsInfo, verb, person, negative) {
		    return getSimplePresent('be', person) + ' ' + getNegative(negative) + getIngPart(verbsInfo, verb);
		}
		function getProgressiveFuture(verbsInfo, verb, negative) {
		    return 'will ' + getNegative(negative) + 'be ' + getIngPart(verbsInfo, verb);
		}
		function getPerfectPast(verbsInfo, verb, negative) {
		    return 'had ' + getNegative(negative) + getPastPart(verbsInfo, verb);
		}
		function getPerfectPresent(verbsInfo, verb, person, negative) {
		    return getSimplePresent('have', person) + ' ' + getNegative(negative) + getPastPart(verbsInfo, verb);
		}
		function getPerfectFuture(verbsInfo, verb, negative) {
		    return 'will ' + getNegative(negative) + 'have ' + getPastPart(verbsInfo, verb);
		}
		function getPerfectProgressivePast(verbsInfo, verb, negative) {
		    return 'had ' + getNegative(negative) + 'been ' + getIngPart(verbsInfo, verb);
		}
		function getPerfectProgressivePresent(verbsInfo, verb, person, negative) {
		    return getSimplePresent('have', person) + ' ' + getNegative(negative) + 'been ' + getIngPart(verbsInfo, verb);
		}
		function getPerfectProgressiveFuture(verbsInfo, verb, negative) {
		    return 'will ' + getNegative(negative) + 'have been ' + getIngPart(verbsInfo, verb);
		}
		function doContract(original) {
		    const contractions = [
		        // present
		        ['does not', "doesn't"],
		        ['do not', "don't"],
		        ['is not', "isn't"],
		        ['are not', "aren't"],
		        ['has not', "hasn't"],
		        ['have not', "haven't"],
		        ['can not', "can't"],
		        ['could not', "couldn't"],
		        ['may not', "mayn't"],
		        ['might not', "mightn't"],
		        ['will not', "won't"],
		        ['shall not', "shan't"],
		        ['would not', "wouldn't"],
		        ['should not', "shouldn't"],
		        ['must not', "mustn't"],
		        ['ought not', "oughtn't"],
		        // past
		        ['did not', "didn't"],
		        ['was not', "wasn't"],
		        ['were not', "weren't"],
		        ['had not', "hadn't"],
		    ];
		    for (const contraction of contractions) {
		        const replaced = original.replace(contraction[0], contraction[1]);
		        if (replaced !== original) {
		            // finding one in fine, then we stop
		            return replaced;
		        }
		    }
		    // istanbul ignore next
		    return original;
		}
		function getConjugatedVerb(verbsInfo, verb, tense, person, isNegative, isHaveNoDo, isGoingTo) {
		    switch (tense) {
		        case 'PAST':
		        case 'SIMPLE_PAST':
		            if (isNegative) {
		                if (verb === 'be' || verb === 'do' || modals.indexOf(verb) > -1 || isHaveNoDo) {
		                    return getSimplePast(verbsInfo, verb, person) + ' not';
		                }
		                else {
		                    // 'do ...' form
		                    return getSimplePast(verbsInfo, 'do', person) + ' not ' + verb;
		                }
		            }
		            else {
		                return getSimplePast(verbsInfo, verb, person);
		            }
		        case 'PRESENT':
		        case 'SIMPLE_PRESENT':
		            if (isNegative) {
		                if (verb === 'be' || verb === 'do' || modals.indexOf(verb) > -1 || isHaveNoDo) {
		                    return getSimplePresent(verb, person) + ' not';
		                }
		                else {
		                    // 'do ...' form
		                    return getSimplePresent('do', person) + ' not ' + verb;
		                }
		            }
		            else {
		                return getSimplePresent(verb, person);
		            }
		        case 'FUTURE':
		        case 'SIMPLE_FUTURE':
		            return getSimpleFuture(verb, person, isGoingTo, isNegative);
		        case 'PROGRESSIVE_PAST':
		            return getProgressivePast(verbsInfo, verb, person, isNegative);
		        case 'PROGRESSIVE_PRESENT':
		            return getProgressivePresent(verbsInfo, verb, person, isNegative);
		        case 'PROGRESSIVE_FUTURE':
		            return getProgressiveFuture(verbsInfo, verb, isNegative);
		        case 'PERFECT_PAST':
		            return getPerfectPast(verbsInfo, verb, isNegative);
		        case 'PERFECT_PRESENT':
		            return getPerfectPresent(verbsInfo, verb, person, isNegative);
		        case 'PERFECT_FUTURE':
		            return getPerfectFuture(verbsInfo, verb, isNegative);
		        case 'PERFECT_PROGRESSIVE_PAST':
		            return getPerfectProgressivePast(verbsInfo, verb, isNegative);
		        case 'PERFECT_PROGRESSIVE_PRESENT':
		            return getPerfectProgressivePresent(verbsInfo, verb, person, isNegative);
		        case 'PERFECT_PROGRESSIVE_FUTURE':
		            return getPerfectProgressiveFuture(verbsInfo, verb, isNegative);
		        case 'PARTICIPLE_PRESENT':
		            return (isNegative ? 'not ' : '') + getIngPart(verbsInfo, verb);
		        case 'PARTICIPLE_PAST':
		            return (isNegative ? 'not ' : '') + getPastPart(verbsInfo, verb);
		    }
		}
		function getConjugation(verbsInfo, verb, tense, person, extraParams) {
		    if (!verb) {
		        const err = new Error();
		        err.name = 'TypeError';
		        err.message = 'verb must not be null';
		        throw err;
		    }
		    if (tenses.indexOf(tense) == -1) {
		        const err = new Error();
		        err.name = 'TypeError';
		        err.message = `invalid tense: ${tense}`;
		        throw err;
		    }
		    if ([0, 1, 2, 3, 4, 5].indexOf(person) === -1) {
		        const err = new Error();
		        err.name = 'TypeError';
		        err.message = 'person must be 0 1 2 3 4 or 5';
		        throw err;
		    }
		    const isGoingTo = extraParams && extraParams.GOING_TO ? true : false;
		    const isNegative = extraParams && extraParams.NEGATIVE ? true : false;
		    const isHaveNoDo = isNegative && verb === 'have' && extraParams.NO_DO ? true : false;
		    const conjugated = getConjugatedVerb(verbsInfo, verb, tense, person, isNegative, isHaveNoDo, isGoingTo);
		    if (isNegative && (extraParams.CONTRACT || isHaveNoDo)) {
		        // Note that in the form without the auxiliary verb DO, the verb HAVE is always contracted with the adverb not.
		        return doContract(conjugated);
		    }
		    else {
		        return conjugated;
		    }
		}
		dist.getConjugation = getConjugation;
		
		return dist;
	}

	var arise = [
		[
			"arose",
			"arisen"
		]
	];
	var awake = [
		[
			"awakened",
			"awakened"
		],
		[
			"awoke",
			"awoken"
		]
	];
	var backslide = [
		[
			"backslid",
			"backslidden"
		],
		[
			"backslid",
			"backslid"
		]
	];
	var be = [
		[
			"was",
			"been"
		],
		[
			"were",
			"been"
		]
	];
	var bear = [
		[
			"bore",
			"born"
		],
		[
			"bore",
			"borne"
		]
	];
	var beat = [
		[
			"beat",
			"beaten"
		],
		[
			"beat",
			"beat"
		]
	];
	var become = [
		[
			"became",
			"become"
		]
	];
	var begin$1 = [
		[
			"began",
			"begun"
		]
	];
	var bend = [
		[
			"bent",
			"bent"
		]
	];
	var bet$1 = [
		[
			"betted",
			"betted"
		]
	];
	var bid$1 = [
		[
			"bid",
			"bidden"
		],
		[
			"bade",
			"bidden"
		],
		[
			"bid",
			"bid"
		]
	];
	var bind = [
		[
			"bound",
			"bound"
		]
	];
	var bite = [
		[
			"bit",
			"bitten"
		]
	];
	var bleed = [
		[
			"bled",
			"bled"
		]
	];
	var blow = [
		[
			"blew",
			"blown"
		]
	];
	var breed = [
		[
			"bred",
			"bred"
		]
	];
	var bring = [
		[
			"brought",
			"brought"
		]
	];
	var broadcast = [
		[
			"broadcast",
			"broadcast"
		],
		[
			"broadcasted",
			"broadcasted"
		]
	];
	var browbeat = [
		[
			"browbeat",
			"browbeaten"
		],
		[
			"browbeat",
			"browbeat"
		]
	];
	var build = [
		[
			"built",
			"built"
		]
	];
	var burn = [
		[
			"burned",
			"burned"
		],
		[
			"burnt",
			"burnt"
		]
	];
	var burst = [
		[
			"burst",
			"burst"
		]
	];
	var bust = [
		[
			"busted",
			"busted"
		],
		[
			"bust",
			"bust"
		]
	];
	var buy = [
		[
			"bought",
			"bought"
		]
	];
	var cast = [
		[
			"cast",
			"cast"
		]
	];
	var choose = [
		[
			"chose",
			"chosen"
		]
	];
	var cling = [
		[
			"clung",
			"clung"
		]
	];
	var clothe = [
		[
			"clothed",
			"clothed"
		],
		[
			"clad",
			"clad"
		]
	];
	var come = [
		[
			"came",
			"come"
		]
	];
	var cost = [
		[
			"cost",
			"cost"
		]
	];
	var creep = [
		[
			"crept",
			"crept"
		]
	];
	var crossbreed = [
		[
			"crossbred",
			"crossbred"
		]
	];
	var cut$1 = [
		[
			"cut",
			"cut"
		]
	];
	var daydream = [
		[
			"daydreamed",
			"daydreamed"
		],
		[
			"daydreamt",
			"daydreamt"
		]
	];
	var deal = [
		[
			"dealt",
			"dealt"
		]
	];
	var dig$1 = [
		[
			"dug",
			"dug"
		]
	];
	var disprove = [
		[
			"disproved",
			"disproved"
		],
		[
			"disproved",
			"disproven"
		]
	];
	var dive = [
		[
			"dove",
			"dived"
		],
		[
			"dived",
			"dived"
		]
	];
	var draw = [
		[
			"drew",
			"drawn"
		]
	];
	var dream = [
		[
			"dreamed",
			"dreamed"
		],
		[
			"dreamt",
			"dreamt"
		]
	];
	var drink = [
		[
			"drank",
			"drunk"
		]
	];
	var drive = [
		[
			"drove",
			"driven"
		]
	];
	var dwell = [
		[
			"dwelt",
			"dwelt"
		],
		[
			"dwelled",
			"dwelled"
		]
	];
	var eat = [
		[
			"ate",
			"eaten"
		]
	];
	var fall = [
		[
			"fell",
			"fallen"
		]
	];
	var feed = [
		[
			"fed",
			"fed"
		]
	];
	var feel = [
		[
			"felt",
			"felt"
		]
	];
	var fight = [
		[
			"fought",
			"fought"
		]
	];
	var find = [
		[
			"found",
			"found"
		]
	];
	var fit$1 = [
		[
			"fitted",
			"fitted"
		]
	];
	var flee = [
		[
			"fled",
			"fled"
		]
	];
	var fling = [
		[
			"flung",
			"flung"
		]
	];
	var fly = [
		[
			"flew",
			"flown"
		]
	];
	var forbid$1 = [
		[
			"forbade",
			"forbidden"
		]
	];
	var forecast = [
		[
			"forecast",
			"forecast"
		]
	];
	var forego = [
		[
			"forewent",
			"foregone"
		]
	];
	var foresee = [
		[
			"foresaw",
			"foreseen"
		]
	];
	var foretell = [
		[
			"foretold",
			"foretold"
		]
	];
	var forget$1 = [
		[
			"forgot",
			"forgotten"
		],
		[
			"forgot",
			"forgot"
		]
	];
	var forgive = [
		[
			"forgave",
			"forgiven"
		]
	];
	var forsake = [
		[
			"forsook",
			"forsaken"
		]
	];
	var freeze = [
		[
			"froze",
			"frozen"
		]
	];
	var frostbite = [
		[
			"frostbit",
			"frostbitten"
		]
	];
	var get$1 = [
		[
			"got",
			"gotten"
		],
		[
			"got",
			"got"
		]
	];
	var give = [
		[
			"gave",
			"given"
		]
	];
	var go = [
		[
			"went",
			"gone"
		]
	];
	var grind = [
		[
			"ground",
			"ground"
		]
	];
	var grow = [
		[
			"grew",
			"grown"
		]
	];
	var handwrite = [
		[
			"handwrote",
			"handwritten"
		]
	];
	var hang = [
		[
			"hung",
			"hung"
		]
	];
	var have = [
		[
			"had",
			"had"
		]
	];
	var hear = [
		[
			"heard",
			"heard"
		]
	];
	var hew = [
		[
			"hewed",
			"hewn"
		],
		[
			"hewed",
			"hewed"
		]
	];
	var hide = [
		[
			"hid",
			"hidden"
		]
	];
	var hit$1 = [
		[
			"hit",
			"hit"
		]
	];
	var hold = [
		[
			"held",
			"held"
		]
	];
	var hurt = [
		[
			"hurt",
			"hurt"
		]
	];
	var inbreed = [
		[
			"inbred",
			"inbred"
		]
	];
	var inlay = [
		[
			"inlaid",
			"inlaid"
		]
	];
	var input = [
		[
			"inputted",
			"inputted"
		]
	];
	var interbreed = [
		[
			"interbred",
			"interbred"
		]
	];
	var interweave = [
		[
			"interwove",
			"interwoven"
		],
		[
			"interweaved",
			"interweaved"
		]
	];
	var interwind = [
		[
			"interwound",
			"interwound"
		]
	];
	var keep = [
		[
			"kept",
			"kept"
		]
	];
	var kneel = [
		[
			"knelt",
			"knelt"
		],
		[
			"kneeled",
			"kneeled"
		]
	];
	var knit$1 = [
		[
			"knitted",
			"knitted"
		]
	];
	var know = [
		[
			"knew",
			"known"
		]
	];
	var lay = [
		[
			"laid",
			"laid"
		]
	];
	var lead = [
		[
			"led",
			"led"
		]
	];
	var lean = [
		[
			"leaned",
			"leaned"
		],
		[
			"leant",
			"leant"
		]
	];
	var leap = [
		[
			"leaped",
			"leaped"
		],
		[
			"leapt",
			"leapt"
		]
	];
	var learn = [
		[
			"learned",
			"learned"
		],
		[
			"learnt",
			"learnt"
		]
	];
	var leave = [
		[
			"left",
			"left"
		]
	];
	var lend = [
		[
			"lent",
			"lent"
		]
	];
	var lie$1 = [
		[
			"lay",
			"lain"
		]
	];
	var light = [
		[
			"lit",
			"lit"
		],
		[
			"lighted",
			"lighted"
		]
	];
	var lose = [
		[
			"lost",
			"lost"
		]
	];
	var make = [
		[
			"made",
			"made"
		]
	];
	var mean = [
		[
			"meant",
			"meant"
		]
	];
	var meet = [
		[
			"met",
			"met"
		]
	];
	var miscast = [
		[
			"miscast",
			"miscast"
		]
	];
	var misdeal = [
		[
			"misdealt",
			"misdealt"
		]
	];
	var misdo = [
		[
			"misdid",
			"misdone"
		]
	];
	var mishear = [
		[
			"misheard",
			"misheard"
		]
	];
	var mislay = [
		[
			"mislaid",
			"mislaid"
		]
	];
	var mislead = [
		[
			"misled",
			"misled"
		]
	];
	var mislearn = [
		[
			"mislearned",
			"mislearned"
		],
		[
			"mislearnt",
			"mislearnt"
		]
	];
	var misread = [
		[
			"misread",
			"misread"
		]
	];
	var misset = [
		[
			"misset",
			"misset"
		]
	];
	var misspeak = [
		[
			"misspoke",
			"misspoken"
		]
	];
	var misspell = [
		[
			"misspelled",
			"misspelled"
		],
		[
			"misspelt",
			"misspelt"
		]
	];
	var misspend = [
		[
			"misspent",
			"misspent"
		]
	];
	var mistake = [
		[
			"mistook",
			"mistaken"
		]
	];
	var misteach = [
		[
			"mistaught",
			"mistaught"
		]
	];
	var misunderstand = [
		[
			"misunderstood",
			"misunderstood"
		]
	];
	var miswrite = [
		[
			"miswrote",
			"miswritten"
		]
	];
	var mow = [
		[
			"mowed",
			"mowed"
		],
		[
			"mowed",
			"mown"
		]
	];
	var offset$1 = [
		[
			"offset",
			"offset"
		]
	];
	var outbid$1 = [
		[
			"outbid",
			"outbid"
		]
	];
	var outbreed = [
		[
			"outbred",
			"outbred"
		]
	];
	var outdo = [
		[
			"outdid",
			"outdone"
		]
	];
	var outdraw = [
		[
			"outdrew",
			"outdrawn"
		]
	];
	var outdrink = [
		[
			"outdrank",
			"outdrunk"
		]
	];
	var outdrive = [
		[
			"outdrove",
			"outdriven"
		]
	];
	var outfight = [
		[
			"outfought",
			"outfought"
		]
	];
	var outfly = [
		[
			"outflew",
			"outflown"
		]
	];
	var outgrow = [
		[
			"outgrew",
			"outgrown"
		]
	];
	var outleap = [
		[
			"outleaped",
			"outleaped"
		],
		[
			"outleapt",
			"outleapt"
		]
	];
	var outride = [
		[
			"outrode",
			"outridden"
		]
	];
	var outrun$1 = [
		[
			"outran",
			"outrun"
		]
	];
	var outsell = [
		[
			"outsold",
			"outsold"
		]
	];
	var outshine = [
		[
			"outshined",
			"outshined"
		],
		[
			"outshone",
			"outshone"
		]
	];
	var outshoot = [
		[
			"outshot",
			"outshot"
		]
	];
	var outsing = [
		[
			"outsang",
			"outsung"
		]
	];
	var outsit = [
		[
			"outsat",
			"outsat"
		]
	];
	var outsleep = [
		[
			"outslept",
			"outslept"
		]
	];
	var outsmell = [
		[
			"outsmelled",
			"outsmelled"
		],
		[
			"outsmelt",
			"outsmelt"
		]
	];
	var outspeak = [
		[
			"outspoke",
			"outspoken"
		]
	];
	var outspeed = [
		[
			"outsped",
			"outsped"
		]
	];
	var outspend = [
		[
			"outspent",
			"outspent"
		]
	];
	var outswear = [
		[
			"outswore",
			"outsworn"
		]
	];
	var outswim = [
		[
			"outswam",
			"outswum"
		]
	];
	var outthink = [
		[
			"outthought",
			"outthought"
		]
	];
	var outthrow = [
		[
			"outthrew",
			"outthrown"
		]
	];
	var outwrite = [
		[
			"outwrote",
			"outwritten"
		]
	];
	var overbid$1 = [
		[
			"overbid",
			"overbid"
		]
	];
	var overbreed = [
		[
			"overbred",
			"overbred"
		]
	];
	var overbuild = [
		[
			"overbuilt",
			"overbuilt"
		]
	];
	var overbuy = [
		[
			"overbought",
			"overbought"
		]
	];
	var overcome = [
		[
			"overcame",
			"overcome"
		]
	];
	var overdo = [
		[
			"overdid",
			"overdone"
		]
	];
	var overdraw = [
		[
			"overdrew",
			"overdrawn"
		]
	];
	var overdrink = [
		[
			"overdrank",
			"overdrunk"
		]
	];
	var overeat = [
		[
			"overate",
			"overeaten"
		]
	];
	var overfeed = [
		[
			"overfed",
			"overfed"
		]
	];
	var overhang = [
		[
			"overhung",
			"overhung"
		]
	];
	var overhear = [
		[
			"overheard",
			"overheard"
		]
	];
	var overlay = [
		[
			"overlaid",
			"overlaid"
		]
	];
	var overpay = [
		[
			"overpaid",
			"overpaid"
		]
	];
	var override = [
		[
			"overrode",
			"overridden"
		]
	];
	var overrun$1 = [
		[
			"overran",
			"overrun"
		]
	];
	var oversee = [
		[
			"oversaw",
			"overseen"
		]
	];
	var oversell = [
		[
			"oversold",
			"oversold"
		]
	];
	var oversew = [
		[
			"oversewed",
			"oversewn"
		],
		[
			"oversewed",
			"oversewed"
		]
	];
	var overshoot = [
		[
			"overshot",
			"overshot"
		]
	];
	var oversleep = [
		[
			"overslept",
			"overslept"
		]
	];
	var overspeak = [
		[
			"overspoke",
			"overspoken"
		]
	];
	var overspend = [
		[
			"overspent",
			"overspent"
		]
	];
	var overspill = [
		[
			"overspilled",
			"overspilled"
		],
		[
			"overspilt",
			"overspilt"
		]
	];
	var overtake = [
		[
			"overtook",
			"overtaken"
		]
	];
	var overthink = [
		[
			"overthought",
			"overthought"
		]
	];
	var overthrow = [
		[
			"overthrew",
			"overthrown"
		]
	];
	var overwind = [
		[
			"overwound",
			"overwound"
		]
	];
	var overwrite = [
		[
			"overwrote",
			"overwritten"
		]
	];
	var partake = [
		[
			"partook",
			"partaken"
		]
	];
	var pay = [
		[
			"paid",
			"paid"
		]
	];
	var plead = [
		[
			"pleaded",
			"pleaded"
		],
		[
			"pled",
			"pled"
		]
	];
	var prebuild = [
		[
			"prebuilt",
			"prebuilt"
		]
	];
	var predo = [
		[
			"predid",
			"predone"
		]
	];
	var premake = [
		[
			"premade",
			"premade"
		]
	];
	var prepay = [
		[
			"prepaid",
			"prepaid"
		]
	];
	var presell = [
		[
			"presold",
			"presold"
		]
	];
	var preset = [
		[
			"preset",
			"preset"
		]
	];
	var preshrink = [
		[
			"preshrank",
			"preshrunk"
		]
	];
	var proofread = [
		[
			"proofread",
			"proofread"
		]
	];
	var prove = [
		[
			"proved",
			"proven"
		],
		[
			"proved",
			"proved"
		]
	];
	var put$1 = [
		[
			"put",
			"put"
		]
	];
	var quit$1 = [
		[
			"quit",
			"quit"
		],
		[
			"quitted",
			"quitted"
		]
	];
	var read = [
		[
			"read",
			"read"
		]
	];
	var reawake = [
		[
			"reawoke",
			"reawaken"
		]
	];
	var rebid = [
		[
			"rebid",
			"rebid"
		]
	];
	var rebind = [
		[
			"rebound",
			"rebound"
		]
	];
	var rebroadcast = [
		[
			"rebroadcast",
			"rebroadcast"
		],
		[
			"rebroadcasted",
			"rebroadcasted"
		]
	];
	var rebuild = [
		[
			"rebuilt",
			"rebuilt"
		]
	];
	var recast = [
		[
			"recast",
			"recast"
		]
	];
	var recut = [
		[
			"recut",
			"recut"
		]
	];
	var redeal = [
		[
			"redealt",
			"redealt"
		]
	];
	var redo = [
		[
			"redid",
			"redone"
		]
	];
	var redraw = [
		[
			"redrew",
			"redrawn"
		]
	];
	var refit$1 = [
		[
			"refit",
			"refit"
		],
		[
			"refitted",
			"refitted"
		]
	];
	var regrind = [
		[
			"reground",
			"reground"
		]
	];
	var regrow = [
		[
			"regrew",
			"regrown"
		]
	];
	var rehang = [
		[
			"rehung",
			"rehung"
		]
	];
	var rehear = [
		[
			"reheard",
			"reheard"
		]
	];
	var reknit = [
		[
			"reknitted",
			"reknitted"
		],
		[
			"reknit",
			"reknit"
		]
	];
	var relay = [
		[
			"relaid",
			"relaid"
		]
	];
	var relearn = [
		[
			"relearned",
			"relearned"
		],
		[
			"relearnt",
			"relearnt"
		]
	];
	var relight = [
		[
			"relit",
			"relit"
		],
		[
			"relighted",
			"relighted"
		]
	];
	var remake = [
		[
			"remade",
			"remade"
		]
	];
	var repay = [
		[
			"repaid",
			"repaid"
		]
	];
	var reread = [
		[
			"reread",
			"reread"
		]
	];
	var rerun$1 = [
		[
			"reran",
			"rerun"
		]
	];
	var resell = [
		[
			"resold",
			"resold"
		]
	];
	var resend = [
		[
			"resent",
			"resent"
		]
	];
	var reset$1 = [
		[
			"reset",
			"reset"
		]
	];
	var resew = [
		[
			"resewed",
			"resewn"
		],
		[
			"resewed",
			"resewed"
		]
	];
	var retake = [
		[
			"retook",
			"retaken"
		]
	];
	var reteach = [
		[
			"retaught",
			"retaught"
		]
	];
	var retear = [
		[
			"retore",
			"retorn"
		]
	];
	var retell = [
		[
			"retold",
			"retold"
		]
	];
	var rethink = [
		[
			"rethought",
			"rethought"
		]
	];
	var retread = [
		[
			"retread",
			"retread"
		]
	];
	var retrofit$1 = [
		[
			"retrofitted",
			"retrofitted"
		],
		[
			"retrofit",
			"retrofit"
		]
	];
	var rewake = [
		[
			"rewoke",
			"rewaken"
		],
		[
			"rewaked",
			"rewaked"
		]
	];
	var rewear = [
		[
			"rewore",
			"reworn"
		]
	];
	var reweave = [
		[
			"rewove",
			"rewoven"
		],
		[
			"reweaved",
			"reweaved"
		]
	];
	var rewed = [
		[
			"rewed",
			"rewed"
		],
		[
			"rewedded",
			"rewedded"
		]
	];
	var rewet = [
		[
			"rewet",
			"rewet"
		],
		[
			"rewetted",
			"rewetted"
		]
	];
	var rewin = [
		[
			"rewon",
			"rewon"
		]
	];
	var rewind = [
		[
			"rewound",
			"rewound"
		]
	];
	var rewrite = [
		[
			"rewrote",
			"rewritten"
		]
	];
	var rid$1 = [
		[
			"rid",
			"rid"
		]
	];
	var ride = [
		[
			"rode",
			"ridden"
		]
	];
	var ring = [
		[
			"rang",
			"rung"
		]
	];
	var rise = [
		[
			"rose",
			"risen"
		]
	];
	var roughcast = [
		[
			"roughcast",
			"roughcast"
		]
	];
	var run$1 = [
		[
			"ran",
			"run"
		]
	];
	var saw = [
		[
			"sawed",
			"sawed"
		],
		[
			"sawed",
			"sawn"
		]
	];
	var say = [
		[
			"said",
			"said"
		]
	];
	var see = [
		[
			"saw",
			"seen"
		]
	];
	var seek = [
		[
			"sought",
			"sought"
		]
	];
	var sell = [
		[
			"sold",
			"sold"
		]
	];
	var send = [
		[
			"sent",
			"sent"
		]
	];
	var set$1 = [
		[
			"set",
			"set"
		]
	];
	var sew = [
		[
			"sewed",
			"sewn"
		],
		[
			"sewed",
			"sewed"
		]
	];
	var shake = [
		[
			"shook",
			"shaken"
		]
	];
	var shave = [
		[
			"shaved",
			"shaved"
		],
		[
			"shaved",
			"shaven"
		]
	];
	var shear = [
		[
			"sheared",
			"sheared"
		],
		[
			"sheared",
			"shorn"
		]
	];
	var shed$1 = [
		[
			"shed",
			"shed"
		]
	];
	var shine = [
		[
			"shined",
			"shined"
		],
		[
			"shone",
			"shone"
		]
	];
	var shit$1 = [
		[
			"shit",
			"shit"
		],
		[
			"shat",
			"shat"
		],
		[
			"shitted",
			"shitted"
		]
	];
	var shoot = [
		[
			"shot",
			"shot"
		]
	];
	var show = [
		[
			"showed",
			"shown"
		],
		[
			"showed",
			"showed"
		]
	];
	var shrink = [
		[
			"shrank",
			"shrunk"
		],
		[
			"shrunk",
			"shrunk"
		]
	];
	var shut$1 = [
		[
			"shut",
			"shut"
		]
	];
	var sing$1 = [
		[
			"sang",
			"sung"
		]
	];
	var sink = [
		[
			"sank",
			"sunk"
		],
		[
			"sunk",
			"sunk"
		]
	];
	var sit$1 = [
		[
			"sat",
			"sat"
		]
	];
	var slay = [
		[
			"slew",
			"slain"
		],
		[
			"slayed",
			"slayed"
		]
	];
	var sleep = [
		[
			"slept",
			"slept"
		]
	];
	var slide = [
		[
			"slid",
			"slid"
		]
	];
	var sling = [
		[
			"slung",
			"slung"
		]
	];
	var slink = [
		[
			"slinked",
			"slinked"
		],
		[
			"slunk",
			"slunk"
		]
	];
	var slit$1 = [
		[
			"slitted",
			"slitted"
		]
	];
	var smell = [
		[
			"smelled",
			"smelled"
		],
		[
			"smelt",
			"smelt"
		]
	];
	var sneak = [
		[
			"sneaked",
			"sneaked"
		],
		[
			"snuck",
			"snuck"
		]
	];
	var sow = [
		[
			"sowed",
			"sown"
		],
		[
			"sowed",
			"sowed"
		]
	];
	var speak = [
		[
			"spoke",
			"spoken"
		]
	];
	var speed = [
		[
			"sped",
			"sped"
		],
		[
			"speeded",
			"speeded"
		]
	];
	var spell = [
		[
			"spelled",
			"spelled"
		],
		[
			"spelt",
			"spelt"
		]
	];
	var spend = [
		[
			"spent",
			"spent"
		]
	];
	var spill = [
		[
			"spilled",
			"spilled"
		],
		[
			"spilt",
			"spilt"
		]
	];
	var spin$1 = [
		[
			"spun",
			"spun"
		]
	];
	var spit$1 = [
		[
			"spit",
			"spit"
		],
		[
			"spat",
			"spat"
		]
	];
	var split$1 = [
		[
			"split",
			"split"
		]
	];
	var spoil = [
		[
			"spoiled",
			"spoiled"
		],
		[
			"spoilt",
			"spoilt"
		]
	];
	var spread = [
		[
			"spread",
			"spread"
		]
	];
	var spring = [
		[
			"sprang",
			"sprung"
		],
		[
			"sprung",
			"sprung"
		]
	];
	var stand = [
		[
			"stood",
			"stood"
		]
	];
	var steal = [
		[
			"stole",
			"stolen"
		]
	];
	var stick = [
		[
			"stuck",
			"stuck"
		]
	];
	var sting = [
		[
			"stung",
			"stung"
		]
	];
	var stink = [
		[
			"stunk",
			"stunk"
		],
		[
			"stank",
			"stunk"
		]
	];
	var strew = [
		[
			"strewed",
			"strewn"
		],
		[
			"strewed",
			"strewed"
		]
	];
	var stride = [
		[
			"strode",
			"stridden"
		]
	];
	var strike = [
		[
			"struck",
			"stricken"
		],
		[
			"struck",
			"struck"
		]
	];
	var string = [
		[
			"strung",
			"strung"
		]
	];
	var strive = [
		[
			"strove",
			"striven"
		],
		[
			"strived",
			"strived"
		]
	];
	var sublet$1 = [
		[
			"sublet",
			"sublet"
		]
	];
	var sunburn = [
		[
			"sunburned",
			"sunburned"
		],
		[
			"sunburnt",
			"sunburnt"
		]
	];
	var swear = [
		[
			"swore",
			"sworn"
		]
	];
	var sweat = [
		[
			"sweat",
			"sweat"
		],
		[
			"sweated",
			"sweated"
		]
	];
	var sweep = [
		[
			"swept",
			"swept"
		]
	];
	var swell = [
		[
			"swelled",
			"swollen"
		],
		[
			"swelled",
			"swelled"
		]
	];
	var swim$1 = [
		[
			"swam",
			"swum"
		]
	];
	var swing = [
		[
			"swung",
			"swung"
		]
	];
	var take = [
		[
			"took",
			"taken"
		]
	];
	var teach = [
		[
			"taught",
			"taught"
		]
	];
	var tear = [
		[
			"tore",
			"torn"
		]
	];
	var telecast = [
		[
			"telecast",
			"telecast"
		]
	];
	var tell = [
		[
			"told",
			"told"
		]
	];
	var think = [
		[
			"thought",
			"thought"
		]
	];
	var thrust = [
		[
			"thrust",
			"thrust"
		]
	];
	var tread = [
		[
			"trod",
			"trodden"
		],
		[
			"trod",
			"trod"
		]
	];
	var typecast = [
		[
			"typecast",
			"typecast"
		]
	];
	var typeset$1 = [
		[
			"typeset",
			"typeset"
		]
	];
	var typewrite = [
		[
			"typewrote",
			"typewritten"
		]
	];
	var unbend = [
		[
			"unbent",
			"unbent"
		]
	];
	var unbind = [
		[
			"unbound",
			"unbound"
		]
	];
	var unclothe = [
		[
			"unclothed",
			"unclothed"
		],
		[
			"unclad",
			"unclad"
		]
	];
	var underbid$1 = [
		[
			"underbid",
			"underbid"
		]
	];
	var undercut$1 = [
		[
			"undercut",
			"undercut"
		]
	];
	var underfeed = [
		[
			"underfed",
			"underfed"
		]
	];
	var undergo = [
		[
			"underwent",
			"undergone"
		]
	];
	var underlie$1 = [
		[
			"underlay",
			"underlain"
		]
	];
	var undersell = [
		[
			"undersold",
			"undersold"
		]
	];
	var underspend = [
		[
			"underspent",
			"underspent"
		]
	];
	var understand = [
		[
			"understood",
			"understood"
		]
	];
	var undertake = [
		[
			"undertook",
			"undertaken"
		]
	];
	var underwrite = [
		[
			"underwrote",
			"underwritten"
		]
	];
	var undo = [
		[
			"undid",
			"undone"
		]
	];
	var unfreeze = [
		[
			"unfroze",
			"unfrozen"
		]
	];
	var unhang = [
		[
			"unhung",
			"unhung"
		]
	];
	var unhide = [
		[
			"unhid",
			"unhidden"
		]
	];
	var unknit$1 = [
		[
			"unknitted",
			"unknitted"
		],
		[
			"unknit",
			"unknit"
		]
	];
	var unlearn = [
		[
			"unlearned",
			"unlearned"
		],
		[
			"unlearnt",
			"unlearnt"
		]
	];
	var unsew = [
		[
			"unsewed",
			"unsewn"
		],
		[
			"unsewed",
			"unsewed"
		]
	];
	var unsling = [
		[
			"unslung",
			"unslung"
		]
	];
	var unspin = [
		[
			"unspun",
			"unspun"
		]
	];
	var unstick = [
		[
			"unstuck",
			"unstuck"
		]
	];
	var unstring = [
		[
			"unstrung",
			"unstrung"
		]
	];
	var unweave = [
		[
			"unwove",
			"unwoven"
		],
		[
			"unweaved",
			"unweaved"
		]
	];
	var unwind = [
		[
			"unwound",
			"unwound"
		]
	];
	var uphold = [
		[
			"upheld",
			"upheld"
		]
	];
	var upset$1 = [
		[
			"upset",
			"upset"
		]
	];
	var wake = [
		[
			"woke",
			"woken"
		],
		[
			"waked",
			"waked"
		]
	];
	var waylay = [
		[
			"waylaid",
			"waylaid"
		]
	];
	var wear = [
		[
			"wore",
			"worn"
		]
	];
	var weave = [
		[
			"wove",
			"woven"
		],
		[
			"weaved",
			"weaved"
		]
	];
	var wed$1 = [
		[
			"wed",
			"wed"
		],
		[
			"wedded",
			"wedded"
		]
	];
	var weep = [
		[
			"wept",
			"wept"
		]
	];
	var wet$1 = [
		[
			"wetted",
			"wetted"
		]
	];
	var win$1 = [
		[
			"won",
			"won"
		]
	];
	var wind = [
		[
			"wound",
			"wound"
		]
	];
	var withdraw = [
		[
			"withdrew",
			"withdrawn"
		]
	];
	var withhold = [
		[
			"withheld",
			"withheld"
		]
	];
	var withstand = [
		[
			"withstood",
			"withstood"
		]
	];
	var wring = [
		[
			"wrung",
			"wrung"
		]
	];
	var write = [
		[
			"wrote",
			"written"
		]
	];
	var abet$1 = [
		[
			"abetted",
			"abetted"
		]
	];
	var abut$1 = [
		[
			"abutted",
			"abutted"
		]
	];
	var admit$1 = [
		[
			"admitted",
			"admitted"
		]
	];
	var allot$1 = [
		[
			"allotted",
			"allotted"
		]
	];
	var annul$1 = [
		[
			"annulled",
			"annulled"
		]
	];
	var appal$1 = [
		[
			"appalled",
			"appalled"
		]
	];
	var bag$1 = [
		[
			"bagged",
			"bagged"
		]
	];
	var ban$1 = [
		[
			"banned",
			"banned"
		]
	];
	var bat$1 = [
		[
			"batted",
			"batted"
		]
	];
	var bed$1 = [
		[
			"bedded",
			"bedded"
		]
	];
	var beg$1 = [
		[
			"begged",
			"begged"
		]
	];
	var benefit$1 = [
		[
			"benefitted",
			"benefitted"
		]
	];
	var bin$1 = [
		[
			"binned",
			"binned"
		]
	];
	var blot$1 = [
		[
			"blotted",
			"blotted"
		]
	];
	var bop$1 = [
		[
			"bopped",
			"bopped"
		]
	];
	var boycot = [
		[
			"boycotted",
			"boycotted"
		]
	];
	var brag$1 = [
		[
			"bragged",
			"bragged"
		]
	];
	var bud$1 = [
		[
			"budded",
			"budded"
		]
	];
	var bug$1 = [
		[
			"bugged",
			"bugged"
		]
	];
	var but = [
		[
			"butted",
			"butted"
		]
	];
	var can$1 = [
		[
			"canned",
			"canned"
		]
	];
	var cap$1 = [
		[
			"capped",
			"capped"
		]
	];
	var chat$1 = [
		[
			"chatted",
			"chatted"
		]
	];
	var chip$1 = [
		[
			"chipped",
			"chipped"
		]
	];
	var chop$1 = [
		[
			"chopped",
			"chopped"
		]
	];
	var chug$1 = [
		[
			"chugged",
			"chugged"
		]
	];
	var clap$1 = [
		[
			"clapped",
			"clapped"
		]
	];
	var clog$1 = [
		[
			"clogged",
			"clogged"
		]
	];
	var clot$1 = [
		[
			"clotted",
			"clotted"
		]
	];
	var combat$1 = [
		[
			"combatted",
			"combatted"
		]
	];
	var commit$1 = [
		[
			"committed",
			"committed"
		]
	];
	var con$1 = [
		[
			"conned",
			"conned"
		]
	];
	var control$1 = [
		[
			"controlled",
			"controlled"
		]
	];
	var corral$1 = [
		[
			"corralled",
			"corralled"
		]
	];
	var cram$1 = [
		[
			"crammed",
			"crammed"
		]
	];
	var crop$1 = [
		[
			"cropped",
			"cropped"
		]
	];
	var cup$1 = [
		[
			"cupped",
			"cupped"
		]
	];
	var dam$1 = [
		[
			"dammed",
			"dammed"
		]
	];
	var dim$1 = [
		[
			"dimmed",
			"dimmed"
		]
	];
	var dip$1 = [
		[
			"dipped",
			"dipped"
		]
	];
	var distil$1 = [
		[
			"distilled",
			"distilled"
		]
	];
	var dog$1 = [
		[
			"dogged",
			"dogged"
		]
	];
	var dot$1 = [
		[
			"dotted",
			"dotted"
		]
	];
	var drag$1 = [
		[
			"dragged",
			"dragged"
		]
	];
	var drip$1 = [
		[
			"dripped",
			"dripped"
		]
	];
	var drop$1 = [
		[
			"dropped",
			"dropped"
		]
	];
	var drug$1 = [
		[
			"drugged",
			"drugged"
		]
	];
	var drum$1 = [
		[
			"drummed",
			"drummed"
		]
	];
	var duet = [
		[
			"duetted",
			"duetted"
		]
	];
	var emit$1 = [
		[
			"emitted",
			"emitted"
		]
	];
	var enrol$1 = [
		[
			"enrolled",
			"enrolled"
		]
	];
	var enthral$1 = [
		[
			"enthralled",
			"enthralled"
		]
	];
	var equip$1 = [
		[
			"equipped",
			"equipped"
		]
	];
	var expel$1 = [
		[
			"expelled",
			"expelled"
		]
	];
	var fan$1 = [
		[
			"fanned",
			"fanned"
		]
	];
	var flag$1 = [
		[
			"flagged",
			"flagged"
		]
	];
	var flap$1 = [
		[
			"flapped",
			"flapped"
		]
	];
	var flip$1 = [
		[
			"flipped",
			"flipped"
		]
	];
	var flit$1 = [
		[
			"flitted",
			"flitted"
		]
	];
	var flog$1 = [
		[
			"flogged",
			"flogged"
		]
	];
	var flop$1 = [
		[
			"flopped",
			"flopped"
		]
	];
	var fog$1 = [
		[
			"fogged",
			"fogged"
		]
	];
	var format$1 = [
		[
			"formatted",
			"formatted"
		]
	];
	var fret$1 = [
		[
			"fretted",
			"fretted"
		]
	];
	var fulfil$1 = [
		[
			"fulfilled",
			"fulfilled"
		]
	];
	var gag$1 = [
		[
			"gagged",
			"gagged"
		]
	];
	var gig$1 = [
		[
			"gigged",
			"gigged"
		]
	];
	var glug = [
		[
			"glugged",
			"glugged"
		]
	];
	var grin$1 = [
		[
			"grinned",
			"grinned"
		]
	];
	var grip$1 = [
		[
			"gripped",
			"gripped"
		]
	];
	var grit$1 = [
		[
			"gritted",
			"gritted"
		]
	];
	var gum$1 = [
		[
			"gummed",
			"gummed"
		]
	];
	var gun$1 = [
		[
			"gunned",
			"gunned"
		]
	];
	var gut = [
		[
			"gutted",
			"gutted"
		]
	];
	var hem$1 = [
		[
			"hemmed",
			"hemmed"
		]
	];
	var hop$1 = [
		[
			"hopped",
			"hopped"
		]
	];
	var hum$1 = [
		[
			"hummed",
			"hummed"
		]
	];
	var impel$1 = [
		[
			"impelled",
			"impelled"
		]
	];
	var instal$1 = [
		[
			"installed",
			"installed"
		]
	];
	var jam$1 = [
		[
			"jammed",
			"jammed"
		]
	];
	var jet$1 = [
		[
			"jetted",
			"jetted"
		]
	];
	var jig$1 = [
		[
			"jigged",
			"jigged"
		]
	];
	var jog$1 = [
		[
			"jogged",
			"jogged"
		]
	];
	var jut$1 = [
		[
			"jutted",
			"jutted"
		]
	];
	var kid$1 = [
		[
			"kidded",
			"kidded"
		]
	];
	var kidnap$1 = [
		[
			"kidnapped",
			"kidnapped"
		]
	];
	var kip$1 = [
		[
			"kipped",
			"kipped"
		]
	];
	var kit = [
		[
			"kitted",
			"kitted"
		]
	];
	var knot$1 = [
		[
			"knotted",
			"knotted"
		]
	];
	var lag$1 = [
		[
			"lagged",
			"lagged"
		]
	];
	var lap$1 = [
		[
			"lapped",
			"lapped"
		]
	];
	var leapfrog$1 = [
		[
			"leapfrogged",
			"leapfrogged"
		]
	];
	var log$1 = [
		[
			"logged",
			"logged"
		]
	];
	var lop$1 = [
		[
			"lopped",
			"lopped"
		]
	];
	var lug$1 = [
		[
			"lugged",
			"lugged"
		]
	];
	var man$1 = [
		[
			"manned",
			"manned"
		]
	];
	var map$1 = [
		[
			"mapped",
			"mapped"
		]
	];
	var mat$1 = [
		[
			"matted",
			"matted"
		]
	];
	var mop$1 = [
		[
			"mopped",
			"mopped"
		]
	];
	var mug$1 = [
		[
			"mugged",
			"mugged"
		]
	];
	var nag$1 = [
		[
			"nagged",
			"nagged"
		]
	];
	var nap$1 = [
		[
			"napped",
			"napped"
		]
	];
	var nod$1 = [
		[
			"nodded",
			"nodded"
		]
	];
	var omit$1 = [
		[
			"omitted",
			"omitted"
		]
	];
	var pad$1 = [
		[
			"padded",
			"padded"
		]
	];
	var pan$1 = [
		[
			"panned",
			"panned"
		]
	];
	var pat$1 = [
		[
			"patted",
			"patted"
		]
	];
	var peg$1 = [
		[
			"pegged",
			"pegged"
		]
	];
	var pen$1 = [
		[
			"penned",
			"penned"
		]
	];
	var permit$1 = [
		[
			"permitted",
			"permitted"
		]
	];
	var pin$1 = [
		[
			"pinned",
			"pinned"
		]
	];
	var pit$1 = [
		[
			"pitted",
			"pitted"
		]
	];
	var plod$1 = [
		[
			"plodded",
			"plodded"
		]
	];
	var plop$1 = [
		[
			"plopped",
			"plopped"
		]
	];
	var plot$1 = [
		[
			"plotted",
			"plotted"
		]
	];
	var plug$1 = [
		[
			"plugged",
			"plugged"
		]
	];
	var pop$1 = [
		[
			"popped",
			"popped"
		]
	];
	var prep = [
		[
			"prepped",
			"prepped"
		]
	];
	var prod$1 = [
		[
			"prodded",
			"prodded"
		]
	];
	var prop$1 = [
		[
			"propped",
			"propped"
		]
	];
	var propel$1 = [
		[
			"propelled",
			"propelled"
		]
	];
	var pun$1 = [
		[
			"punned",
			"punned"
		]
	];
	var quip$1 = [
		[
			"quipped",
			"quipped"
		]
	];
	var rap$1 = [
		[
			"rapped",
			"rapped"
		]
	];
	var rappel$1 = [
		[
			"rappelled",
			"rappelled"
		]
	];
	var rebel$1 = [
		[
			"rebelled",
			"rebelled"
		]
	];
	var rebut$1 = [
		[
			"rebutted",
			"rebutted"
		]
	];
	var regret$1 = [
		[
			"regretted",
			"regretted"
		]
	];
	var remit$1 = [
		[
			"remitted",
			"remitted"
		]
	];
	var repel$1 = [
		[
			"repelled",
			"repelled"
		]
	];
	var rig$1 = [
		[
			"rigged",
			"rigged"
		]
	];
	var rip$1 = [
		[
			"ripped",
			"ripped"
		]
	];
	var rot$1 = [
		[
			"rotted",
			"rotted"
		]
	];
	var sag$1 = [
		[
			"sagged",
			"sagged"
		]
	];
	var sap$1 = [
		[
			"sapped",
			"sapped"
		]
	];
	var scam = [
		[
			"scammed",
			"scammed"
		]
	];
	var scan$1 = [
		[
			"scanned",
			"scanned"
		]
	];
	var skim$1 = [
		[
			"skimmed",
			"skimmed"
		]
	];
	var skin$1 = [
		[
			"skinned",
			"skinned"
		]
	];
	var skip$1 = [
		[
			"skipped",
			"skipped"
		]
	];
	var skid$1 = [
		[
			"skidded",
			"skidded"
		]
	];
	var slam$1 = [
		[
			"slammed",
			"slammed"
		]
	];
	var slap$1 = [
		[
			"slapped",
			"slapped"
		]
	];
	var slim = [
		[
			"slimmed",
			"slimmed"
		]
	];
	var slip$1 = [
		[
			"slipped",
			"slipped"
		]
	];
	var slog$1 = [
		[
			"slogged",
			"slogged"
		]
	];
	var slop$1 = [
		[
			"slopped",
			"slopped"
		]
	];
	var slug$1 = [
		[
			"slugged",
			"slugged"
		]
	];
	var slum$1 = [
		[
			"slummed",
			"slummed"
		]
	];
	var sin$1 = [
		[
			"sinned",
			"sinned"
		]
	];
	var snag$1 = [
		[
			"snagged",
			"snagged"
		]
	];
	var snap$1 = [
		[
			"snapped",
			"snapped"
		]
	];
	var snip$1 = [
		[
			"snipped",
			"snipped"
		]
	];
	var snog$1 = [
		[
			"snogged",
			"snogged"
		]
	];
	var spam = [
		[
			"spammed",
			"spammed"
		]
	];
	var span$1 = [
		[
			"spanned",
			"spanned"
		]
	];
	var spot$1 = [
		[
			"spotted",
			"spotted"
		]
	];
	var sip$1 = [
		[
			"sipped",
			"sipped"
		]
	];
	var splat = [
		[
			"splatted",
			"splatted"
		]
	];
	var squat$1 = [
		[
			"squatted",
			"squatted"
		]
	];
	var stem$1 = [
		[
			"stemmed",
			"stemmed"
		]
	];
	var step$1 = [
		[
			"stepped",
			"stepped"
		]
	];
	var stop$1 = [
		[
			"stopped",
			"stopped"
		]
	];
	var strap$1 = [
		[
			"strapped",
			"strapped"
		]
	];
	var strip$1 = [
		[
			"stripped",
			"stripped"
		]
	];
	var strum$1 = [
		[
			"strummed",
			"strummed"
		]
	];
	var stud$1 = [
		[
			"studded",
			"studded"
		]
	];
	var stun$1 = [
		[
			"stunned",
			"stunned"
		]
	];
	var submit$1 = [
		[
			"submitted",
			"submitted"
		]
	];
	var sup$1 = [
		[
			"supped",
			"supped"
		]
	];
	var sun$1 = [
		[
			"sunned",
			"sunned"
		]
	];
	var swan = [
		[
			"swanned",
			"swanned"
		]
	];
	var swap$1 = [
		[
			"swapped",
			"swapped"
		]
	];
	var swat$1 = [
		[
			"swatted",
			"swatted"
		]
	];
	var swig$1 = [
		[
			"swigged",
			"swigged"
		]
	];
	var swot$1 = [
		[
			"swotted",
			"swotted"
		]
	];
	var tag$1 = [
		[
			"tagged",
			"tagged"
		]
	];
	var tan$1 = [
		[
			"tanned",
			"tanned"
		]
	];
	var tap$1 = [
		[
			"tapped",
			"tapped"
		]
	];
	var telegram = [
		[
			"telegrammed",
			"telegrammed"
		]
	];
	var thin$1 = [
		[
			"thinned",
			"thinned"
		]
	];
	var thud$1 = [
		[
			"thudded",
			"thudded"
		]
	];
	var tin$1 = [
		[
			"tinned",
			"tinned"
		]
	];
	var tip$1 = [
		[
			"tipped",
			"tipped"
		]
	];
	var tot$1 = [
		[
			"totted",
			"totted"
		]
	];
	var top$1 = [
		[
			"topped",
			"topped"
		]
	];
	var trap$1 = [
		[
			"trapped",
			"trapped"
		]
	];
	var transmit$1 = [
		[
			"transmitted",
			"transmitted"
		]
	];
	var trim$1 = [
		[
			"trimmed",
			"trimmed"
		]
	];
	var trip$1 = [
		[
			"tripped",
			"tripped"
		]
	];
	var trot$1 = [
		[
			"trotted",
			"trotted"
		]
	];
	var twin$1 = [
		[
			"twinned",
			"twinned"
		]
	];
	var tug$1 = [
		[
			"tugged",
			"tugged"
		]
	];
	var veg = [
		[
			"vegged",
			"vegged"
		]
	];
	var vet$1 = [
		[
			"vetted",
			"vetted"
		]
	];
	var wag$1 = [
		[
			"wagged",
			"wagged"
		]
	];
	var whip$1 = [
		[
			"whipped",
			"whipped"
		]
	];
	var yap$1 = [
		[
			"yapped",
			"yapped"
		]
	];
	var zigzag$1 = [
		[
			"zigzagged",
			"zigzagged"
		]
	];
	var zip$1 = [
		[
			"zipped",
			"zipped"
		]
	];
	var blur$1 = [
		[
			"blurred",
			"blurred"
		]
	];
	var plan$1 = [
		[
			"planned",
			"planned"
		]
	];
	var rub$1 = [
		[
			"rubbed",
			"rubbed"
		]
	];
	var stir$1 = [
		[
			"stirred",
			"stirred"
		]
	];
	var wrap$1 = [
		[
			"wrapped",
			"wrapped"
		]
	];
	var ship$1 = [
		[
			"shipped",
			"shipped"
		]
	];
	var require$$2 = {
		arise: arise,
		awake: awake,
		backslide: backslide,
		be: be,
		bear: bear,
		beat: beat,
		become: become,
		begin: begin$1,
		bend: bend,
		bet: bet$1,
		bid: bid$1,
		bind: bind,
		bite: bite,
		bleed: bleed,
		blow: blow,
		"break": [
		[
			"broke",
			"broken"
		]
	],
		breed: breed,
		bring: bring,
		broadcast: broadcast,
		browbeat: browbeat,
		build: build,
		burn: burn,
		burst: burst,
		bust: bust,
		buy: buy,
		cast: cast,
		"catch": [
		[
			"caught",
			"caught"
		]
	],
		choose: choose,
		cling: cling,
		clothe: clothe,
		come: come,
		cost: cost,
		creep: creep,
		crossbreed: crossbreed,
		cut: cut$1,
		daydream: daydream,
		deal: deal,
		dig: dig$1,
		disprove: disprove,
		dive: dive,
		"do": [
		[
			"did",
			"done"
		]
	],
		draw: draw,
		dream: dream,
		drink: drink,
		drive: drive,
		dwell: dwell,
		eat: eat,
		fall: fall,
		feed: feed,
		feel: feel,
		fight: fight,
		find: find,
		fit: fit$1,
		flee: flee,
		fling: fling,
		fly: fly,
		forbid: forbid$1,
		forecast: forecast,
		forego: forego,
		foresee: foresee,
		foretell: foretell,
		forget: forget$1,
		forgive: forgive,
		forsake: forsake,
		freeze: freeze,
		frostbite: frostbite,
		get: get$1,
		give: give,
		go: go,
		grind: grind,
		grow: grow,
		"hand-feed": [
		[
			"hand-fed",
			"hand-fed"
		]
	],
		handwrite: handwrite,
		hang: hang,
		have: have,
		hear: hear,
		hew: hew,
		hide: hide,
		hit: hit$1,
		hold: hold,
		hurt: hurt,
		inbreed: inbreed,
		inlay: inlay,
		input: input,
		interbreed: interbreed,
		interweave: interweave,
		interwind: interwind,
		"jerry-build": [
		[
			"jerry-built",
			"jerry-built"
		]
	],
		keep: keep,
		kneel: kneel,
		knit: knit$1,
		know: know,
		lay: lay,
		lead: lead,
		lean: lean,
		leap: leap,
		learn: learn,
		leave: leave,
		lend: lend,
		"let": [
		[
			"let",
			"let"
		]
	],
		lie: lie$1,
		light: light,
		"lip-read": [
		[
			"lip-read",
			"lip-read"
		]
	],
		lose: lose,
		make: make,
		mean: mean,
		meet: meet,
		miscast: miscast,
		misdeal: misdeal,
		misdo: misdo,
		mishear: mishear,
		mislay: mislay,
		mislead: mislead,
		mislearn: mislearn,
		misread: misread,
		misset: misset,
		misspeak: misspeak,
		misspell: misspell,
		misspend: misspend,
		mistake: mistake,
		misteach: misteach,
		misunderstand: misunderstand,
		miswrite: miswrite,
		mow: mow,
		offset: offset$1,
		outbid: outbid$1,
		outbreed: outbreed,
		outdo: outdo,
		outdraw: outdraw,
		outdrink: outdrink,
		outdrive: outdrive,
		outfight: outfight,
		outfly: outfly,
		outgrow: outgrow,
		outleap: outleap,
		outride: outride,
		outrun: outrun$1,
		outsell: outsell,
		outshine: outshine,
		outshoot: outshoot,
		outsing: outsing,
		outsit: outsit,
		outsleep: outsleep,
		outsmell: outsmell,
		outspeak: outspeak,
		outspeed: outspeed,
		outspend: outspend,
		outswear: outswear,
		outswim: outswim,
		outthink: outthink,
		outthrow: outthrow,
		outwrite: outwrite,
		overbid: overbid$1,
		overbreed: overbreed,
		overbuild: overbuild,
		overbuy: overbuy,
		overcome: overcome,
		overdo: overdo,
		overdraw: overdraw,
		overdrink: overdrink,
		overeat: overeat,
		overfeed: overfeed,
		overhang: overhang,
		overhear: overhear,
		overlay: overlay,
		overpay: overpay,
		override: override,
		overrun: overrun$1,
		oversee: oversee,
		oversell: oversell,
		oversew: oversew,
		overshoot: overshoot,
		oversleep: oversleep,
		overspeak: overspeak,
		overspend: overspend,
		overspill: overspill,
		overtake: overtake,
		overthink: overthink,
		overthrow: overthrow,
		overwind: overwind,
		overwrite: overwrite,
		partake: partake,
		pay: pay,
		plead: plead,
		prebuild: prebuild,
		predo: predo,
		premake: premake,
		prepay: prepay,
		presell: presell,
		preset: preset,
		preshrink: preshrink,
		proofread: proofread,
		prove: prove,
		put: put$1,
		"quick-freeze": [
		[
			"quick-froze",
			"quick-frozen"
		]
	],
		quit: quit$1,
		read: read,
		reawake: reawake,
		rebid: rebid,
		rebind: rebind,
		rebroadcast: rebroadcast,
		rebuild: rebuild,
		recast: recast,
		recut: recut,
		redeal: redeal,
		redo: redo,
		redraw: redraw,
		refit: refit$1,
		regrind: regrind,
		regrow: regrow,
		rehang: rehang,
		rehear: rehear,
		reknit: reknit,
		relay: relay,
		relearn: relearn,
		relight: relight,
		remake: remake,
		repay: repay,
		reread: reread,
		rerun: rerun$1,
		resell: resell,
		resend: resend,
		reset: reset$1,
		resew: resew,
		retake: retake,
		reteach: reteach,
		retear: retear,
		retell: retell,
		rethink: rethink,
		retread: retread,
		retrofit: retrofit$1,
		rewake: rewake,
		rewear: rewear,
		reweave: reweave,
		rewed: rewed,
		rewet: rewet,
		rewin: rewin,
		rewind: rewind,
		rewrite: rewrite,
		rid: rid$1,
		ride: ride,
		ring: ring,
		rise: rise,
		roughcast: roughcast,
		run: run$1,
		"sand-cast": [
		[
			"sand-cast",
			"sand-cast"
		]
	],
		saw: saw,
		say: say,
		see: see,
		seek: seek,
		sell: sell,
		send: send,
		set: set$1,
		sew: sew,
		shake: shake,
		shave: shave,
		shear: shear,
		shed: shed$1,
		shine: shine,
		shit: shit$1,
		shoot: shoot,
		show: show,
		shrink: shrink,
		shut: shut$1,
		"sight-read": [
		[
			"sight-read",
			"sight-read"
		]
	],
		sing: sing$1,
		sink: sink,
		sit: sit$1,
		slay: slay,
		sleep: sleep,
		slide: slide,
		sling: sling,
		slink: slink,
		slit: slit$1,
		smell: smell,
		sneak: sneak,
		sow: sow,
		speak: speak,
		speed: speed,
		spell: spell,
		spend: spend,
		spill: spill,
		spin: spin$1,
		spit: spit$1,
		split: split$1,
		spoil: spoil,
		"spoon-feed": [
		[
			"spoon-fed",
			"spoon-fed"
		]
	],
		spread: spread,
		spring: spring,
		stand: stand,
		steal: steal,
		stick: stick,
		sting: sting,
		stink: stink,
		strew: strew,
		stride: stride,
		strike: strike,
		string: string,
		strive: strive,
		sublet: sublet$1,
		sunburn: sunburn,
		swear: swear,
		sweat: sweat,
		sweep: sweep,
		swell: swell,
		swim: swim$1,
		swing: swing,
		take: take,
		teach: teach,
		tear: tear,
		telecast: telecast,
		tell: tell,
		"test-drive": [
		[
			"test-drove",
			"test-driven"
		]
	],
		"test-fly": [
		[
			"test-flew",
			"test-flown"
		]
	],
		think: think,
		"throw": [
		[
			"threw",
			"thrown"
		]
	],
		thrust: thrust,
		tread: tread,
		typecast: typecast,
		typeset: typeset$1,
		typewrite: typewrite,
		unbend: unbend,
		unbind: unbind,
		unclothe: unclothe,
		underbid: underbid$1,
		undercut: undercut$1,
		underfeed: underfeed,
		undergo: undergo,
		underlie: underlie$1,
		undersell: undersell,
		underspend: underspend,
		understand: understand,
		undertake: undertake,
		underwrite: underwrite,
		undo: undo,
		unfreeze: unfreeze,
		unhang: unhang,
		unhide: unhide,
		unknit: unknit$1,
		unlearn: unlearn,
		unsew: unsew,
		unsling: unsling,
		unspin: unspin,
		unstick: unstick,
		unstring: unstring,
		unweave: unweave,
		unwind: unwind,
		uphold: uphold,
		upset: upset$1,
		wake: wake,
		waylay: waylay,
		wear: wear,
		weave: weave,
		wed: wed$1,
		weep: weep,
		wet: wet$1,
		win: win$1,
		wind: wind,
		withdraw: withdraw,
		withhold: withhold,
		withstand: withstand,
		wring: wring,
		write: write,
		abet: abet$1,
		abut: abut$1,
		admit: admit$1,
		allot: allot$1,
		annul: annul$1,
		appal: appal$1,
		bag: bag$1,
		ban: ban$1,
		bat: bat$1,
		bed: bed$1,
		beg: beg$1,
		benefit: benefit$1,
		bin: bin$1,
		blot: blot$1,
		bop: bop$1,
		boycot: boycot,
		brag: brag$1,
		bud: bud$1,
		bug: bug$1,
		but: but,
		can: can$1,
		cap: cap$1,
		chat: chat$1,
		chip: chip$1,
		chop: chop$1,
		chug: chug$1,
		clap: clap$1,
		clog: clog$1,
		clot: clot$1,
		combat: combat$1,
		commit: commit$1,
		con: con$1,
		control: control$1,
		corral: corral$1,
		cram: cram$1,
		crop: crop$1,
		cup: cup$1,
		dam: dam$1,
		dim: dim$1,
		dip: dip$1,
		distil: distil$1,
		dog: dog$1,
		dot: dot$1,
		drag: drag$1,
		drip: drip$1,
		drop: drop$1,
		drug: drug$1,
		drum: drum$1,
		duet: duet,
		emit: emit$1,
		enrol: enrol$1,
		enthral: enthral$1,
		equip: equip$1,
		expel: expel$1,
		fan: fan$1,
		flag: flag$1,
		flap: flap$1,
		flip: flip$1,
		flit: flit$1,
		flog: flog$1,
		flop: flop$1,
		fog: fog$1,
		format: format$1,
		fret: fret$1,
		fulfil: fulfil$1,
		gag: gag$1,
		gig: gig$1,
		glug: glug,
		grin: grin$1,
		grip: grip$1,
		grit: grit$1,
		gum: gum$1,
		gun: gun$1,
		gut: gut,
		hem: hem$1,
		hop: hop$1,
		hum: hum$1,
		impel: impel$1,
		instal: instal$1,
		jam: jam$1,
		jet: jet$1,
		jig: jig$1,
		jog: jog$1,
		jut: jut$1,
		kid: kid$1,
		kidnap: kidnap$1,
		kip: kip$1,
		kit: kit,
		knot: knot$1,
		lag: lag$1,
		lap: lap$1,
		leapfrog: leapfrog$1,
		log: log$1,
		lop: lop$1,
		lug: lug$1,
		man: man$1,
		map: map$1,
		mat: mat$1,
		mop: mop$1,
		mug: mug$1,
		nag: nag$1,
		nap: nap$1,
		nod: nod$1,
		omit: omit$1,
		pad: pad$1,
		pan: pan$1,
		pat: pat$1,
		peg: peg$1,
		pen: pen$1,
		permit: permit$1,
		pin: pin$1,
		pit: pit$1,
		plod: plod$1,
		plop: plop$1,
		plot: plot$1,
		plug: plug$1,
		pop: pop$1,
		prep: prep,
		prod: prod$1,
		prop: prop$1,
		propel: propel$1,
		pun: pun$1,
		quip: quip$1,
		rap: rap$1,
		rappel: rappel$1,
		rebel: rebel$1,
		rebut: rebut$1,
		regret: regret$1,
		remit: remit$1,
		repel: repel$1,
		rig: rig$1,
		rip: rip$1,
		rot: rot$1,
		sag: sag$1,
		sap: sap$1,
		scam: scam,
		scan: scan$1,
		skim: skim$1,
		skin: skin$1,
		skip: skip$1,
		skid: skid$1,
		slam: slam$1,
		slap: slap$1,
		slim: slim,
		slip: slip$1,
		slog: slog$1,
		slop: slop$1,
		slug: slug$1,
		slum: slum$1,
		sin: sin$1,
		snag: snag$1,
		snap: snap$1,
		snip: snip$1,
		snog: snog$1,
		spam: spam,
		span: span$1,
		spot: spot$1,
		sip: sip$1,
		splat: splat,
		squat: squat$1,
		stem: stem$1,
		step: step$1,
		stop: stop$1,
		strap: strap$1,
		strip: strip$1,
		strum: strum$1,
		stud: stud$1,
		stun: stun$1,
		submit: submit$1,
		sup: sup$1,
		sun: sun$1,
		swan: swan,
		swap: swap$1,
		swat: swat$1,
		swig: swig$1,
		swot: swot$1,
		tag: tag$1,
		tan: tan$1,
		tap: tap$1,
		telegram: telegram,
		thin: thin$1,
		thud: thud$1,
		tin: tin$1,
		tip: tip$1,
		tot: tot$1,
		top: top$1,
		trap: trap$1,
		transmit: transmit$1,
		trim: trim$1,
		trip: trip$1,
		trot: trot$1,
		twin: twin$1,
		tug: tug$1,
		veg: veg,
		vet: vet$1,
		wag: wag$1,
		whip: whip$1,
		yap: yap$1,
		zigzag: zigzag$1,
		zip: zip$1,
		blur: blur$1,
		plan: plan$1,
		rub: rub$1,
		stir: stir$1,
		wrap: wrap$1,
		ship: ship$1
	};

	var abet = "abetting";
	var abhor = "abhorring";
	var abut = "abutting";
	var acquit = "acquitting";
	var admit = "admitting";
	var airdrop = "airdropping";
	var allot = "allotting";
	var annul = "annulling";
	var appal = "appalling";
	var arc = "arcking";
	var aver = "averring";
	var bag = "bagging";
	var ballyrag = "ballyragging";
	var ban = "banning";
	var barrel = "barrelling";
	var bar = "barring";
	var bat = "batting";
	var bayonet = "bayonetting";
	var bed = "bedding";
	var bedevil = "bedevilling";
	var bedim = "bedimming";
	var befit = "befitting";
	var befog = "befogging";
	var beget = "begetting";
	var beg = "begging";
	var begin = "beginning";
	var bejewel = "bejewelling";
	var belie = "belying";
	var benefit = "benefitting";
	var beset = "besetting";
	var bestir = "bestirring";
	var bet = "betting";
	var bevel = "bevelling";
	var bias = "biassing";
	var bid = "bidding";
	var bing = "bing";
	var bin = "binning";
	var bit = "bitting";
	var bivouac = "bivouacking";
	var blab = "blabbing";
	var blackleg = "blacklegging";
	var blat = "blatting";
	var blip = "blipping";
	var blob = "blobbing";
	var blot = "blotting";
	var blub = "blubbing";
	var blur = "blurring";
	var bob = "bobbing";
	var bootleg = "bootlegging";
	var bop = "bopping";
	var brag = "bragging";
	var brevet = "brevetting";
	var brim = "brimming";
	var bud = "budding";
	var bug = "bugging";
	var bulldog = "bulldogging";
	var bullshit = "bullshitting";
	var bullwhip = "bullwhipping";
	var bullyrag = "bullyragging";
	var bum = "bumming";
	var bur = "burring";
	var bushel = "bushelling";
	var cabal = "caballing";
	var caddie = "caddying";
	var canal = "canalling";
	var cancel = "cancelling";
	var can = "canning";
	var cap = "capping";
	var carburet = "carburetting";
	var carillon = "carillonning";
	var carol = "carolling";
	var catnap = "catnapping";
	var cat = "catting";
	var cavil = "cavilling";
	var channel = "channelling";
	var chap = "chapping";
	var char = "charring";
	var chat = "chatting";
	var chivy = "chivvying";
	var chin = "chinning";
	var chip = "chipping";
	var chisel = "chiselling";
	var chitchat = "chitchatting";
	var chiv = "chivving";
	var chop = "chopping";
	var chug = "chugging";
	var chum = "chumming";
	var clad = "cladding";
	var clam = "clamming";
	var clap = "clapping";
	var clem = "clemming";
	var clip = "clipping";
	var clog = "clogging";
	var clop = "clopping";
	var clot = "clotting";
	var club = "clubbing";
	var coopt = "co-opting";
	var coordinate = "co-ordinating";
	var cod = "codding";
	var cog = "cogging";
	var coif = "coiffing";
	var combat = "combatting";
	var commit = "committing";
	var compel = "compelling";
	var complot = "complotting";
	var concur = "concurring";
	var confab = "confabbing";
	var confer = "conferring";
	var con = "conning";
	var control = "controlling";
	var cop = "copping";
	var coquet = "coquetting";
	var corral = "corralling";
	var counsel = "counselling";
	var counterplot = "counterplotting";
	var crab = "crabbing";
	var cram = "cramming";
	var crap = "crapping";
	var crib = "cribbing";
	var crop = "cropping";
	var crosscut = "crosscutting";
	var cub = "cubbing";
	var cudgel = "cudgelling";
	var cupel = "cupelling";
	var cup = "cupping";
	var curet = "curetting";
	var curvet = "curvetting";
	var cut = "cutting";
	var dab = "dabbing";
	var dag = "dagging";
	var dam = "damming";
	var dap = "dapping";
	var debar = "debarring";
	var debug = "debugging";
	var debus = "debussing";
	var decontrol = "decontrolling";
	var defer = "deferring";
	var degas = "degassing";
	var demit = "demitting";
	var demob = "demobbing";
	var demur = "demurring";
	var den = "denning";
	var deter = "deterring";
	var devil = "devilling";
	var diagram = "diagramming";
	var dial = "dialling";
	var dib = "dibbing";
	var dig = "digging";
	var dim = "dimming";
	var din = "dinning";
	var dip = "dipping";
	var disannul = "disannulling";
	var disbar = "disbarring";
	var disbud = "disbudding";
	var disembowel = "disembowelling";
	var disenthral = "disenthralling";
	var dishevel = "dishevelling";
	var disinter = "disinterring";
	var dispel = "dispelling";
	var distil = "distilling";
	var dog = "dogging";
	var dogleg = "doglegging";
	var don = "donning";
	var dot = "dotting";
	var drab = "drabbing";
	var drag = "dragging";
	var drip = "dripping";
	var drivel = "drivelling";
	var drop = "dropping";
	var drub = "drubbing";
	var drug = "drugging";
	var drum = "drumming";
	var dub = "dubbing";
	var duel = "duelling";
	var dun = "dunning";
	var die = "dying";
	var eavesdrop = "eavesdropping";
	var embed = "embedding";
	var embus = "embussing";
	var emit = "emitting";
	var empanel = "empanelling";
	var enamel = "enamelling";
	var englut = "englutting";
	var enrol = "enrolling";
	var enthral = "enthralling";
	var entrammel = "entrammelling";
	var entrap = "entrapping";
	var enwrap = "enwrapping";
	var equal = "equalling";
	var equip = "equipping";
	var estop = "estopping";
	var excel = "excelling";
	var expel = "expelling";
	var extol = "extolling";
	var facet = "facetting";
	var fag = "fagging";
	var fan = "fanning";
	var fat = "fatting";
	var featherbed = "featherbedding";
	var fib = "fibbing";
	var fig = "figging";
	var fin = "finning";
	var fit = "fitting";
	var flag = "flagging";
	var flam = "flamming";
	var flannel = "flannelling";
	var flap = "flapping";
	var flat = "flatting";
	var flimflam = "flimflamming";
	var flip = "flipping";
	var flit = "flitting";
	var flog = "flogging";
	var flop = "flopping";
	var flub = "flubbing";
	var fob = "fobbing";
	var fog = "fogging";
	var footslog = "footslogging";
	var forbid = "forbidding";
	var forerun = "forerunning";
	var forget = "forgetting";
	var format = "formatting";
	var foxtrot = "foxtrotting";
	var frap = "frapping";
	var fret = "fretting";
	var frig = "frigging";
	var frit = "fritting";
	var frivol = "frivolling";
	var frog = "frogging";
	var frolic = "frolicking";
	var fuel = "fuelling";
	var fulfil = "fulfilling";
	var funnel = "funnelling";
	var fun = "funning";
	var fur = "furring";
	var gad = "gadding";
	var gag = "gagging";
	var gambol = "gambolling";
	var gam = "gamming";
	var gan = "ganning";
	var gap = "gapping";
	var gas = "gassing";
	var gel = "gelling";
	var gem = "gemming";
	var get = "getting";
	var gib = "gibbing";
	var giftwrap = "giftwrapping";
	var gig = "gigging";
	var gin = "ginning";
	var gip = "gipping";
	var glom = "glomming";
	var glut = "glutting";
	var grab = "grabbing";
	var gravel = "gravelling";
	var grin = "grinning";
	var grip = "gripping";
	var grit = "gritting";
	var grovel = "grovelling";
	var grub = "grubbing";
	var gum = "gumming";
	var gun = "gunning";
	var gyp = "gypping";
	var have_a_feeling = "having_a_feeling";
	var have_the_feeling = "having_the_feeling";
	var ham = "hamming";
	var handicap = "handicapping";
	var handsel = "handselling";
	var hatchel = "hatchelling";
	var hat = "hatting";
	var hedgehop = "hedgehopping";
	var hem = "hemming";
	var hiccup = "hiccupping";
	var hit = "hitting";
	var hob = "hobbing";
	var hobnob = "hobnobbing";
	var hocus = "hocussing";
	var hog = "hogging";
	var hogtie = "hogtying";
	var hop = "hopping";
	var horsewhip = "horsewhipping";
	var housel = "houselling";
	var hovel = "hovelling";
	var hug = "hugging";
	var humbug = "humbugging";
	var hum = "humming";
	var imbed = "imbedding";
	var impanel = "impanelling";
	var impel = "impelling";
	var incur = "incurring";
	var infer = "inferring";
	var initial = "initialling";
	var inset = "insetting";
	var inspan = "inspanning";
	var instal = "installing";
	var intercrop = "intercropping";
	var intercut = "intercutting";
	var interlap = "interlapping";
	var intermit = "intermitting";
	var inter = "interring";
	var intromit = "intromitting";
	var inwrap = "inwrapping";
	var jab = "jabbing";
	var jag = "jagging";
	var jam = "jamming";
	var japan = "japanning";
	var jar = "jarring";
	var jet = "jetting";
	var jewel = "jewelling";
	var jib = "jibbing";
	var jig = "jigging";
	var jitterbug = "jitterbugging";
	var job = "jobbing";
	var jog = "jogging";
	var jot = "jotting";
	var joypop = "joypopping";
	var jug = "jugging";
	var jut = "jutting";
	var kennel = "kennelling";
	var ken = "kenning";
	var kernel = "kernelling";
	var kid = "kidding";
	var kidnap = "kidnapping";
	var kip = "kipping";
	var knap = "knapping";
	var kneecap = "kneecapping";
	var knit = "knitting";
	var knob = "knobbing";
	var knot = "knotting";
	var ko = "ko'ing";
	var label = "labelling";
	var ladify = "ladyfying";
	var lag = "lagging";
	var lallygag = "lallygagging";
	var lam = "lamming";
	var lap = "lapping";
	var laurel = "laurelling";
	var leapfrog = "leapfrogging";
	var level = "levelling";
	var libel = "libelling";
	var lip = "lipping";
	var lob = "lobbing";
	var log = "logging";
	var lop = "lopping";
	var lot = "lotting";
	var lug = "lugging";
	var lie = "lying";
	var mad = "madding";
	var man = "manning";
	var manumit = "manumitting";
	var map = "mapping";
	var marcel = "marcelling";
	var mar = "marring";
	var marshal = "marshalling";
	var marvel = "marvelling";
	var mat = "matting";
	var medal = "medalling";
	var metal = "metalling";
	var mimic = "mimicking";
	var misfit = "misfitting";
	var mishit = "mishitting";
	var mob = "mobbing";
	var model = "modelling";
	var mop = "mopping";
	var mud = "mudding";
	var mug = "mugging";
	var mum = "mumming";
	var nab = "nabbing";
	var nag = "nagging";
	var nap = "napping";
	var net = "netting";
	var nib = "nibbing";
	var nickel = "nickelling";
	var nip = "nipping";
	var nod = "nodding";
	var nonplus = "nonplussing";
	var nut = "nutting";
	var occur = "occurring";
	var offset = "offsetting";
	var omit = "omitting";
	var outbid = "outbidding";
	var outcrop = "outcropping";
	var outfit = "outfitting";
	var outgas = "outgassing";
	var outgeneral = "outgeneralling";
	var outman = "outmanning";
	var output = "outputting";
	var outrun = "outrunning";
	var outspan = "outspanning";
	var outstrip = "outstripping";
	var outwit = "outwitting";
	var overbid = "overbidding";
	var overcrop = "overcropping";
	var overlap = "overlapping";
	var overlie = "overlying";
	var overman = "overmanning";
	var overrun = "overrunning";
	var overset = "oversetting";
	var overstep = "overstepping";
	var overtop = "overtopping";
	var pad = "padding";
	var pal = "palling";
	var panel = "panelling";
	var panic = "panicking";
	var pan = "panning";
	var parallel = "parallelling";
	var parcel = "parcelling";
	var pasquinade = "pasquilling";
	var patrol = "patrolling";
	var pat = "patting";
	var pedal = "pedalling";
	var peg = "pegging";
	var pencil = "pencilling";
	var pen = "penning";
	var pep = "pepping";
	var permit = "permitting";
	var pettifog = "pettifogging";
	var pet = "petting";
	var photomap = "photomapping";
	var photoset = "photosetting";
	var physic = "physicking";
	var picnic = "picnicking";
	var pig = "pigging";
	var pin = "pinning";
	var pip = "pipping";
	var pistol = "pistolling";
	var pitapat = "pitapatting";
	var pit = "pitting";
	var plan = "planning";
	var plat = "platting";
	var plod = "plodding";
	var plop = "plopping";
	var plot = "plotting";
	var plug = "plugging";
	var pod = "podding";
	var pommel = "pommelling";
	var pop = "popping";
	var pot = "potting";
	var precancel = "precancelling";
	var prefer = "preferring";
	var pretermit = "pretermitting";
	var prig = "prigging";
	var prim = "primming";
	var prod = "prodding";
	var program = "programming";
	var prologue = "prologing";
	var propel = "propelling";
	var prop = "propping";
	var pub = "pubbing";
	var pug = "pugging";
	var pummel = "pummelling";
	var pun = "punning";
	var pup = "pupping";
	var put = "putting";
	var quarrel = "quarrelling";
	var quickstep = "quickstepping";
	var quip = "quipping";
	var quit = "quitting";
	var quiz = "quizzing";
	var rag = "ragging";
	var ram = "ramming";
	var rappel = "rappelling";
	var rap = "rapping";
	var rat = "ratting";
	var ravel = "ravelling";
	var rebel = "rebelling";
	var rebut = "rebutting";
	var recap = "recapping";
	var recommit = "recommitting";
	var recur = "recurring";
	var red = "redding";
	var refer = "referring";
	var refit = "refitting";
	var refuel = "refuelling";
	var regret = "regretting";
	var remit = "remitting";
	var repel = "repelling";
	var repot = "repotting";
	var rerun = "rerunning";
	var reset = "resetting";
	var resit = "resitting";
	var retransmit = "retransmitting";
	var retrofit = "retrofitting";
	var ret = "retting";
	var revel = "revelling";
	var revet = "revetting";
	var rev = "revving";
	var rib = "ribbing";
	var ricochet = "ricochetting";
	var rid = "ridding";
	var rig = "rigging";
	var rim = "rimming";
	var rip = "ripping";
	var rival = "rivalling";
	var rob = "robbing";
	var rot = "rotting";
	var rowel = "rowelling";
	var rub = "rubbing";
	var run = "running";
	var rut = "rutting";
	var sag = "sagging";
	var sandbag = "sandbagging";
	var sap = "sapping";
	var scag = "scagging";
	var scan = "scanning";
	var scar = "scarring";
	var scat = "scatting";
	var scrag = "scragging";
	var scram = "scramming";
	var scrap = "scrapping";
	var scrub = "scrubbing";
	var scrum = "scrumming";
	var scud = "scudding";
	var scum = "scumming";
	var set = "setting";
	var shag = "shagging";
	var sham = "shamming";
	var sharecrop = "sharecropping";
	var shed = "shedding";
	var shellac = "shellacking";
	var shikar = "shikarring";
	var shim = "shimming";
	var shin = "shinning";
	var ship = "shipping";
	var shit = "shitting";
	var shop = "shopping";
	var shotgun = "shotgunning";
	var shot = "shotting";
	var shovel = "shovelling";
	var shred = "shredding";
	var shrivel = "shrivelling";
	var shrug = "shrugging";
	var shun = "shunning";
	var shut = "shutting";
	var sic = "sicking";
	var sideslip = "sideslipping";
	var sidestep = "sidestepping";
	var signal = "signalling";
	var sing = "singing";
	var sin = "sinning";
	var sip = "sipping";
	var sit = "sitting";
	var sken = "skenning";
	var sket = "sketting";
	var skid = "skidding";
	var skim = "skimming";
	var skin = "skinning";
	var skip = "skipping";
	var slab = "slabbing";
	var slag = "slagging";
	var slam = "slamming";
	var slap = "slapping";
	var slat = "slatting";
	var sled = "sledding";
	var slip = "slipping";
	var slit = "slitting";
	var slog = "slogging";
	var slop = "slopping";
	var slot = "slotting";
	var slug = "slugging";
	var slum = "slumming";
	var slur = "slurring";
	var smut = "smutting";
	var snag = "snagging";
	var snap = "snapping";
	var sned = "snedding";
	var snip = "snipping";
	var snivel = "snivelling";
	var snog = "snogging";
	var snub = "snubbing";
	var snug = "snugging";
	var sob = "sobbing";
	var sod = "sodding";
	var sop = "sopping";
	var spag = "spagging";
	var spancel = "spancelling";
	var span = "spanning";
	var spar = "sparring";
	var spat = "spatting";
	var spin = "spinning";
	var spiral = "spiralling";
	var spit = "spitting";
	var split = "splitting";
	var spot = "spotting";
	var sprig = "sprigging";
	var spud = "spudding";
	var spur = "spurring";
	var squat = "squatting";
	var squib = "squibbing";
	var squid = "squidding";
	var stab = "stabbing";
	var star = "starring";
	var stem = "stemming";
	var stencil = "stencilling";
	var step = "stepping";
	var stet = "stetting";
	var stiletto = "stilettoeing";
	var stir = "stirring";
	var stop = "stopping";
	var stot = "stotting";
	var strap = "strapping";
	var strip = "stripping";
	var strop = "stropping";
	var strum = "strumming";
	var strut = "strutting";
	var stub = "stubbing";
	var stud = "studding";
	var stum = "stumming";
	var stun = "stunning";
	var stymie = "stymying";
	var sub = "subbing";
	var sublet = "subletting";
	var submit = "submitting";
	var subtotal = "subtotalling";
	var sulphuret = "sulphuretting";
	var sum = "summing";
	var sun = "sunning";
	var sup = "supping";
	var swab = "swabbing";
	var swag = "swagging";
	var swap = "swopping";
	var swat = "swatting";
	var swig = "swigging";
	var swim = "swimming";
	var swivel = "swivelling";
	var swot = "swotting";
	var symbol = "symbolling";
	var tab = "tabbing";
	var tag = "tagging";
	var talc = "talcking";
	var tan = "tanning";
	var tap = "tapping";
	var tar = "tarring";
	var tassel = "tasselling";
	var tat = "tatting";
	var taxi = "taxying";
	var teasel = "teaselling";
	var ted = "tedding";
	var thin = "thinning";
	var throb = "throbbing";
	var thrum = "thrumming";
	var thud = "thudding";
	var tin = "tinning";
	var tinsel = "tinselling";
	var tip = "tipping";
	var tittup = "tittupping";
	var tog = "togging";
	var top = "topping";
	var total = "totalling";
	var tot = "totting";
	var towel = "towelling";
	var traffic = "trafficking";
	var trammel = "tramelling";
	var tram = "tramming";
	var transfer = "transferring";
	var tranship = "transhipping";
	var transmit = "transmitting";
	var transship = "transshipping";
	var trapan = "trapanning";
	var trap = "trapping";
	var travel = "travelling";
	var trek = "trekking";
	var trepan = "trepanning";
	var trig = "trigging";
	var trim = "trimming";
	var trip = "tripping";
	var trog = "trogging";
	var trot = "trotting";
	var trowel = "trowelling";
	var tug = "tugging";
	var tunnel = "tunnelling";
	var tun = "tunning";
	var tup = "tupping";
	var twig = "twigging";
	var twin = "twinning";
	var twit = "twitting";
	var tie = "tying";
	var typeset = "typesetting";
	var unbar = "unbarring";
	var uncap = "uncapping";
	var unclog = "unclogging";
	var underbid = "underbidding";
	var undercut = "undercutting";
	var underlet = "underletting";
	var underlie = "underlying";
	var underpin = "underpinning";
	var underprop = "underpropping";
	var underset = "undersetting";
	var unfit = "unfitting";
	var unkennel = "unkennelling";
	var unknit = "unknitting";
	var unman = "unmanning";
	var unpeg = "unpegging";
	var unpin = "unpinning";
	var unplug = "unplugging";
	var unravel = "unravelling";
	var unrig = "unrigging";
	var unrip = "unripping";
	var unship = "unshipping";
	var unsnap = "unsnapping";
	var unstep = "unstepping";
	var unstop = "unstopping";
	var untie = "untying";
	var unwrap = "unwrapping";
	var unzip = "unzipping";
	var uppercut = "uppercutting";
	var up = "upping";
	var upset = "upsetting";
	var vag = "vagging";
	var vat = "vatting";
	var vet = "vetting";
	var victual = "victualling";
	var vitriol = "vitriolling";
	var vie = "vying";
	var wad = "wadding";
	var wadset = "wadsetting";
	var wag = "wagging";
	var wan = "wanning";
	var war = "warring";
	var weatherstrip = "weatherstripping";
	var web = "webbing";
	var wed = "wedding";
	var wet = "wetting";
	var wham = "whamming";
	var whap = "whapping";
	var whet = "whetting";
	var whip = "whipping";
	var whir = "whirring";
	var whiz = "whizzing";
	var whop = "whopping";
	var wig = "wigging";
	var wigwag = "wigwagging";
	var wildcat = "wildcatting";
	var win = "winning";
	var won = "wonning";
	var worship = "worshipping";
	var wrap = "wrapping";
	var yak = "yakking";
	var yap = "yapping";
	var yen = "yenning";
	var yodel = "yodelling";
	var zap = "zapping";
	var zigzag = "zigzagging";
	var zip = "zipping";
	var require$$3 = {
		abet: abet,
		abhor: abhor,
		"about-ship": "about-shipping",
		abut: abut,
		acquit: acquit,
		"ad-lib": "ad-libbing",
		admit: admit,
		airdrop: airdrop,
		allot: allot,
		annul: annul,
		appal: appal,
		arc: arc,
		aver: aver,
		"baby-sit": "baby-sitting",
		"back-pedal": "back-pedalling",
		bag: bag,
		ballyrag: ballyrag,
		ban: ban,
		barrel: barrel,
		bar: bar,
		bat: bat,
		bayonet: bayonet,
		bed: bed,
		bedevil: bedevil,
		bedim: bedim,
		befit: befit,
		befog: befog,
		beget: beget,
		beg: beg,
		begin: begin,
		bejewel: bejewel,
		"belly-flop": "belly-flopping",
		belie: belie,
		benefit: benefit,
		beset: beset,
		bestir: bestir,
		bet: bet,
		bevel: bevel,
		bias: bias,
		bid: bid,
		bing: bing,
		bin: bin,
		"bird-dog": "bird-dogging",
		bit: bit,
		bivouac: bivouac,
		blab: blab,
		blackleg: blackleg,
		blat: blat,
		blip: blip,
		blob: blob,
		blot: blot,
		blub: blub,
		"blue-pencil": "blue-pencilling",
		blur: blur,
		bob: bob,
		"booby-trap": "booby-trapping",
		bootleg: bootleg,
		bop: bop,
		brag: brag,
		brevet: brevet,
		brim: brim,
		bud: bud,
		bug: bug,
		bulldog: bulldog,
		bullshit: bullshit,
		bullwhip: bullwhip,
		bullyrag: bullyrag,
		bum: bum,
		bur: bur,
		bushel: bushel,
		cabal: cabal,
		caddie: caddie,
		canal: canal,
		cancel: cancel,
		can: can,
		cap: cap,
		carburet: carburet,
		carillon: carillon,
		carol: carol,
		catnap: catnap,
		cat: cat,
		cavil: cavil,
		channel: channel,
		chap: chap,
		char: char,
		chat: chat,
		chivy: chivy,
		chin: chin,
		chip: chip,
		chisel: chisel,
		chitchat: chitchat,
		chiv: chiv,
		chop: chop,
		chug: chug,
		chum: chum,
		clad: clad,
		clam: clam,
		clap: clap,
		clem: clem,
		clip: clip,
		clog: clog,
		clop: clop,
		clot: clot,
		club: club,
		coopt: coopt,
		coordinate: coordinate,
		"co-star": "co-starring",
		cod: cod,
		cog: cog,
		coif: coif,
		combat: combat,
		commit: commit,
		compel: compel,
		complot: complot,
		concur: concur,
		confab: confab,
		confer: confer,
		con: con,
		control: control,
		cop: cop,
		coquet: coquet,
		corral: corral,
		counsel: counsel,
		counterplot: counterplot,
		"court-martial": "court-martialling",
		crab: crab,
		cram: cram,
		crap: crap,
		crib: crib,
		crop: crop,
		crosscut: crosscut,
		cub: cub,
		cudgel: cudgel,
		cupel: cupel,
		cup: cup,
		curet: curet,
		curvet: curvet,
		cut: cut,
		dab: dab,
		dag: dag,
		dam: dam,
		dap: dap,
		debar: debar,
		debug: debug,
		debus: debus,
		decontrol: decontrol,
		defer: defer,
		degas: degas,
		demit: demit,
		demob: demob,
		demur: demur,
		den: den,
		deter: deter,
		devil: devil,
		diagram: diagram,
		dial: dial,
		dib: dib,
		dig: dig,
		dim: dim,
		din: din,
		dip: dip,
		disannul: disannul,
		disbar: disbar,
		disbud: disbud,
		disembowel: disembowel,
		disenthral: disenthral,
		dishevel: dishevel,
		disinter: disinter,
		dispel: dispel,
		distil: distil,
		dog: dog,
		dogleg: dogleg,
		don: don,
		dot: dot,
		drab: drab,
		drag: drag,
		drip: drip,
		drivel: drivel,
		drop: drop,
		drub: drub,
		drug: drug,
		drum: drum,
		dub: dub,
		duel: duel,
		dun: dun,
		die: die,
		eavesdrop: eavesdrop,
		"ego-trip": "ego-tripping",
		embed: embed,
		embus: embus,
		emit: emit,
		empanel: empanel,
		enamel: enamel,
		englut: englut,
		enrol: enrol,
		enthral: enthral,
		entrammel: entrammel,
		entrap: entrap,
		enwrap: enwrap,
		equal: equal,
		equip: equip,
		estop: estop,
		excel: excel,
		expel: expel,
		extol: extol,
		facet: facet,
		fag: fag,
		fan: fan,
		fat: fat,
		featherbed: featherbed,
		fib: fib,
		fig: fig,
		fin: fin,
		fit: fit,
		flag: flag,
		flam: flam,
		flannel: flannel,
		flap: flap,
		flat: flat,
		flimflam: flimflam,
		"flip-flop": "flip-flopping",
		flip: flip,
		flit: flit,
		flog: flog,
		flop: flop,
		flub: flub,
		fob: fob,
		fog: fog,
		footslog: footslog,
		forbid: forbid,
		forerun: forerun,
		forget: forget,
		format: format,
		foxtrot: foxtrot,
		frap: frap,
		fret: fret,
		frig: frig,
		frit: frit,
		frivol: frivol,
		frog: frog,
		frolic: frolic,
		fuel: fuel,
		fulfil: fulfil,
		funnel: funnel,
		fun: fun,
		fur: fur,
		gad: gad,
		gag: gag,
		gambol: gambol,
		gam: gam,
		gan: gan,
		gap: gap,
		gas: gas,
		gel: gel,
		gem: gem,
		get: get,
		gib: gib,
		giftwrap: giftwrap,
		gig: gig,
		gin: gin,
		gip: gip,
		glom: glom,
		glut: glut,
		"goose-step": "goose-stepping",
		grab: grab,
		gravel: gravel,
		grin: grin,
		grip: grip,
		grit: grit,
		grovel: grovel,
		grub: grub,
		gum: gum,
		gun: gun,
		gyp: gyp,
		have_a_feeling: have_a_feeling,
		have_the_feeling: have_the_feeling,
		ham: ham,
		"hand-knit": "hand-knitting",
		handicap: handicap,
		handsel: handsel,
		hatchel: hatchel,
		hat: hat,
		hedgehop: hedgehop,
		hem: hem,
		hiccup: hiccup,
		"high-hat": "high-hatting",
		hit: hit,
		hob: hob,
		hobnob: hobnob,
		"hocus-pocus": "hocus-pocussing",
		hocus: hocus,
		hog: hog,
		hogtie: hogtie,
		hop: hop,
		horsewhip: horsewhip,
		housel: housel,
		hovel: hovel,
		hug: hug,
		humbug: humbug,
		hum: hum,
		imbed: imbed,
		impanel: impanel,
		impel: impel,
		incur: incur,
		infer: infer,
		initial: initial,
		inset: inset,
		inspan: inspan,
		instal: instal,
		intercrop: intercrop,
		intercut: intercut,
		interlap: interlap,
		intermit: intermit,
		inter: inter,
		intromit: intromit,
		inwrap: inwrap,
		jab: jab,
		jag: jag,
		jam: jam,
		japan: japan,
		jar: jar,
		jet: jet,
		jewel: jewel,
		jib: jib,
		jig: jig,
		jitterbug: jitterbug,
		job: job,
		"jog-trot": "jog-trotting",
		jog: jog,
		jot: jot,
		joypop: joypop,
		jug: jug,
		jut: jut,
		kennel: kennel,
		ken: ken,
		kernel: kernel,
		kid: kid,
		kidnap: kidnap,
		kip: kip,
		knap: knap,
		kneecap: kneecap,
		knit: knit,
		knob: knob,
		knot: knot,
		ko: ko,
		label: label,
		ladify: ladify,
		lag: lag,
		lallygag: lallygag,
		lam: lam,
		lap: lap,
		laurel: laurel,
		leapfrog: leapfrog,
		"let": "letting",
		level: level,
		libel: libel,
		lip: lip,
		lob: lob,
		log: log,
		lop: lop,
		lot: lot,
		lug: lug,
		lie: lie,
		"machine-gun": "machine-gunning",
		mad: mad,
		man: man,
		manumit: manumit,
		map: map,
		marcel: marcel,
		mar: mar,
		marshal: marshal,
		marvel: marvel,
		mat: mat,
		medal: medal,
		metal: metal,
		mimic: mimic,
		misfit: misfit,
		mishit: mishit,
		mob: mob,
		model: model,
		mop: mop,
		mud: mud,
		mug: mug,
		mum: mum,
		nab: nab,
		nag: nag,
		nap: nap,
		net: net,
		nib: nib,
		nickel: nickel,
		"nid-nod": "nid-nodding",
		nip: nip,
		nod: nod,
		"non-pros": "non-prossing",
		nonplus: nonplus,
		nut: nut,
		occur: occur,
		offset: offset,
		omit: omit,
		outbid: outbid,
		outcrop: outcrop,
		outfit: outfit,
		outgas: outgas,
		outgeneral: outgeneral,
		outman: outman,
		output: output,
		outrun: outrun,
		outspan: outspan,
		outstrip: outstrip,
		outwit: outwit,
		overbid: overbid,
		overcrop: overcrop,
		overlap: overlap,
		overlie: overlie,
		overman: overman,
		overrun: overrun,
		overset: overset,
		overstep: overstep,
		overtop: overtop,
		pad: pad,
		pal: pal,
		panel: panel,
		panic: panic,
		pan: pan,
		parallel: parallel,
		parcel: parcel,
		pasquinade: pasquinade,
		patrol: patrol,
		pat: pat,
		pedal: pedal,
		peg: peg,
		pencil: pencil,
		pen: pen,
		pep: pep,
		permit: permit,
		pettifog: pettifog,
		pet: pet,
		photomap: photomap,
		photoset: photoset,
		physic: physic,
		picnic: picnic,
		pig: pig,
		"pinch-hit": "pinch-hitting",
		pin: pin,
		pip: pip,
		"pistol-whip": "pistol-whipping",
		pistol: pistol,
		pitapat: pitapat,
		pit: pit,
		plan: plan,
		plat: plat,
		plod: plod,
		plop: plop,
		plot: plot,
		plug: plug,
		pod: pod,
		pommel: pommel,
		pop: pop,
		pot: pot,
		precancel: precancel,
		prefer: prefer,
		pretermit: pretermit,
		prig: prig,
		prim: prim,
		prod: prod,
		program: program,
		prologue: prologue,
		propel: propel,
		prop: prop,
		pub: pub,
		pug: pug,
		pummel: pummel,
		pun: pun,
		pup: pup,
		"put-put": "put-putting",
		put: put,
		quarrel: quarrel,
		quickstep: quickstep,
		quip: quip,
		quit: quit,
		quiz: quiz,
		rag: rag,
		ram: ram,
		rappel: rappel,
		rap: rap,
		rat: rat,
		ravel: ravel,
		"razor-cut": "razor-cutting",
		rebel: rebel,
		rebut: rebut,
		recap: recap,
		recommit: recommit,
		recur: recur,
		"red-pencil": "red-pencilling",
		red: red,
		refer: refer,
		refit: refit,
		refuel: refuel,
		regret: regret,
		remit: remit,
		repel: repel,
		repot: repot,
		rerun: rerun,
		reset: reset,
		resit: resit,
		retransmit: retransmit,
		retrofit: retrofit,
		ret: ret,
		revel: revel,
		revet: revet,
		rev: rev,
		rib: rib,
		ricochet: ricochet,
		rid: rid,
		rig: rig,
		rim: rim,
		rip: rip,
		rival: rival,
		rob: rob,
		rot: rot,
		rowel: rowel,
		rub: rub,
		run: run,
		rut: rut,
		sag: sag,
		sandbag: sandbag,
		sap: sap,
		scag: scag,
		scan: scan,
		scar: scar,
		scat: scat,
		scrag: scrag,
		scram: scram,
		scrap: scrap,
		scrub: scrub,
		scrum: scrum,
		scud: scud,
		scum: scum,
		set: set,
		shag: shag,
		sham: sham,
		sharecrop: sharecrop,
		shed: shed,
		shellac: shellac,
		shikar: shikar,
		shim: shim,
		shin: shin,
		ship: ship,
		shit: shit,
		shop: shop,
		shotgun: shotgun,
		shot: shot,
		shovel: shovel,
		shred: shred,
		"shrink-wrap": "shrink-wrapping",
		shrivel: shrivel,
		shrug: shrug,
		shun: shun,
		shut: shut,
		sic: sic,
		sideslip: sideslip,
		sidestep: sidestep,
		signal: signal,
		sing: sing,
		"single-step": "single-stepping",
		sin: sin,
		sip: sip,
		sit: sit,
		sken: sken,
		sket: sket,
		skid: skid,
		skim: skim,
		"skin-pop": "skin-popping",
		skin: skin,
		"skinny-dip": "skinny-dipping",
		skip: skip,
		slab: slab,
		slag: slag,
		slam: slam,
		slap: slap,
		slat: slat,
		sled: sled,
		slip: slip,
		slit: slit,
		slog: slog,
		slop: slop,
		slot: slot,
		slug: slug,
		slum: slum,
		slur: slur,
		smut: smut,
		snag: snag,
		snap: snap,
		sned: sned,
		snip: snip,
		snivel: snivel,
		snog: snog,
		snub: snub,
		snug: snug,
		sob: sob,
		sod: sod,
		"soft-pedal": "soft-pedalling",
		sop: sop,
		spag: spag,
		spancel: spancel,
		span: span,
		spar: spar,
		spat: spat,
		spin: spin,
		spiral: spiral,
		spit: spit,
		split: split,
		spot: spot,
		sprig: sprig,
		spud: spud,
		spur: spur,
		squat: squat,
		squib: squib,
		squid: squid,
		stab: stab,
		star: star,
		stem: stem,
		stencil: stencil,
		step: step,
		stet: stet,
		stiletto: stiletto,
		stir: stir,
		stop: stop,
		stot: stot,
		strap: strap,
		strip: strip,
		strop: strop,
		strum: strum,
		strut: strut,
		stub: stub,
		stud: stud,
		stum: stum,
		stun: stun,
		stymie: stymie,
		sub: sub,
		sublet: sublet,
		submit: submit,
		subtotal: subtotal,
		sulphuret: sulphuret,
		sum: sum,
		sun: sun,
		sup: sup,
		swab: swab,
		swag: swag,
		swap: swap,
		swat: swat,
		swig: swig,
		swim: swim,
		swivel: swivel,
		swot: swot,
		symbol: symbol,
		tab: tab,
		tag: tag,
		talc: talc,
		tan: tan,
		tap: tap,
		tar: tar,
		tassel: tassel,
		tat: tat,
		taxi: taxi,
		teasel: teasel,
		ted: ted,
		thin: thin,
		throb: throb,
		thrum: thrum,
		thud: thud,
		tin: tin,
		tinsel: tinsel,
		tip: tip,
		tittup: tittup,
		tog: tog,
		top: top,
		total: total,
		tot: tot,
		towel: towel,
		traffic: traffic,
		trammel: trammel,
		tram: tram,
		transfer: transfer,
		tranship: tranship,
		transmit: transmit,
		transship: transship,
		trapan: trapan,
		trap: trap,
		travel: travel,
		trek: trek,
		trepan: trepan,
		trig: trig,
		trim: trim,
		trip: trip,
		trog: trog,
		trot: trot,
		trowel: trowel,
		tug: tug,
		tunnel: tunnel,
		tun: tun,
		tup: tup,
		"tut-tut": "tut-tutting",
		twig: twig,
		twin: twin,
		twit: twit,
		tie: tie,
		typeset: typeset,
		unbar: unbar,
		uncap: uncap,
		unclog: unclog,
		underbid: underbid,
		undercut: undercut,
		underlet: underlet,
		underlie: underlie,
		underpin: underpin,
		underprop: underprop,
		underset: underset,
		unfit: unfit,
		unkennel: unkennel,
		unknit: unknit,
		unman: unman,
		unpeg: unpeg,
		unpin: unpin,
		unplug: unplug,
		unravel: unravel,
		unrig: unrig,
		unrip: unrip,
		unship: unship,
		unsnap: unsnap,
		unstep: unstep,
		unstop: unstop,
		untie: untie,
		unwrap: unwrap,
		unzip: unzip,
		uppercut: uppercut,
		up: up,
		upset: upset,
		vag: vag,
		vat: vat,
		vet: vet,
		victual: victual,
		vitriol: vitriol,
		vie: vie,
		wad: wad,
		wadset: wadset,
		wag: wag,
		wan: wan,
		war: war,
		weatherstrip: weatherstrip,
		web: web,
		wed: wed,
		wet: wet,
		wham: wham,
		whap: whap,
		whet: whet,
		whip: whip,
		whir: whir,
		"whistle-stop": "whistle-stopping",
		whiz: whiz,
		whop: whop,
		wig: wig,
		wigwag: wigwag,
		wildcat: wildcat,
		"window-shop": "window-shopping",
		win: win,
		won: won,
		worship: worship,
		wrap: wrap,
		yak: yak,
		yap: yap,
		yen: yen,
		yodel: yodel,
		zap: zap,
		zigzag: zigzag,
		zip: zip
	};

	var hasRequiredReplaceWords;

	function requireReplaceWords () {
		if (hasRequiredReplaceWords) return replaceWords$1;
		hasRequiredReplaceWords = 1;
		var browser = requireBrowserPolyfill();
		const verbsHelper = requireDist();
		const verbsIrregular = require$$2;
		const verbsGerunds = require$$3;
		const verbsData = verbsHelper.mergeVerbsData(verbsIrregular, verbsGerunds);

		/* Replaces verbs, point-of-view, name, pronouns, and "also" terms */
		function replaceAll() {
		  let options = browser.storage.local.get();
		  options.then((options) => {
		    const hostname = window.location.hostname;
		    const isEnabled = !(options.domains === undefined) && options.domains.includes(hostname);
		    if (!isEnabled) { return; }

		    const isNameSet = !(options.name === undefined || options.name == "");
		    const isPronounsSet = !(options.preset === undefined || options.preset == "");
		    const isPovSet = !(options.pov === undefined || options.pov == "");
		    const isPovLegal = isPovSet && (options.pov != "third" || (isNameSet && isPronounsSet));
		    const isAllSet = isNameSet && isPronounsSet && isPovLegal;

		    if (isPovLegal) {
		      replaceVerbs(options);
		      replacePov(options);
		      replacePlv(options);
		    }

		    if (isNameSet) {
		      replaceName(options);
		    }

		    if (isPronounsSet) {
		      replacePronouns(options);
		    }

		    const isAlsoSet = !(options.also === undefined);
		    if (isAlsoSet) {
		      replaceAlso(options);
		    }

		    if (isAllSet) {
		      replaceExceptions(options);
		      replaceCuts();
		      replaceCapitals();
		      replaceMirror();
		    }
		  });
		}

		/* Replaces all instances of "Y/n" with the user's name */
		function replaceName(options) {
		  const searchTerm = /\by\/n\b|\(y\/n\)|\[y\/n\]/ig;
		  walk(document.body, searchTerm, options["name"], directMethod);
		}

		/* Replaces all verb keys */
		function replaceVerbs(options) {
		  const searchTerm = /(v)r([nb])\/([\w\s]+)\/(?:((?:(?:simple|progressive|perfect|perfect[ _]progressive|participle(?![ _]future))[ _])*(?:past|present|future))\/)*/i;
		  walk(document.body, searchTerm, options, verbMethod);
		}

		/* Replaces all pronoun keys */
		/* This could be made faster if I give premade regexp expressions for each, but I don't want to do that! */
		function replacePronouns(options) {
		  let pronouns = getPronouns(options.preset, options.other);
		  walk(document.body, /([Pp])rn\/s/, pronouns["subjective"], pronounMethod);
		  walk(document.body, /([Pp])rn\/o/, pronouns["objective"], pronounMethod);
		  walk(document.body, /([Pp])rn\/p/, pronouns["possessive"], pronounMethod);
		  walk(document.body, /([Pp])rn\/a/, pronouns["adjective"], pronounMethod);
		  walk(document.body, /([Pp])rn\/r/, pronouns["reflexive"], pronounMethod);
		  walk(document.body, /([Pp])rn\/H/, pronouns["honorific-abbr"], pronounMethod);
		  walk(document.body, /([Pp])rn\/h/, pronouns["honorific"], pronounMethod);
		  walk(document.body, /([Pp])rn\/N/, pronouns["adult"], pronounMethod);
		  walk(document.body, /([Pp])rn\/n/, pronouns["youth"], pronounMethod);
		  walk(document.body, /([Pp])rn\/F/, pronouns["parent"], pronounMethod);
		  walk(document.body, /([Pp])rn\/f/, pronouns["child"], pronounMethod);
		  walk(document.body, /([Pp])rn\/k/, pronouns["sibling"], pronounMethod);
		  walk(document.body, /([Pp])rn\/m/, pronouns["married"], pronounMethod);
		  walk(document.body, /([Pp])rn\/d/, pronouns["dating"], pronounMethod);
		}

		/* Gets pronouns based on the provided key (or user input) */
		function getPronouns(key, other) {
		  switch (key) {
		    case "she":
		      return {
		        "subjective": "she",
		        "objective": "her",
		        "possessive": "her",
		        "adjective": "hers",
		        "reflexive": "herself",
		        "honorific-abbr": "Ms.",
		        "honorific": "miss",
		        "adult": "woman",
		        "youth": "girl",
		        "parent": "mother",
		        "child": "daughter",
		        "sibling": "sister",
		        "married": "wife",
		        "dating": "girlfriend",
		        "plurality": "singular"
		      };
		    case "he":
		      return {
		        "subjective": "he",
		        "objective": "him",
		        "possessive": "his",
		        "adjective": "his",
		        "reflexive": "himself",
		        "honorific-abbr": "Mr.",
		        "honorific": "mister",
		        "adult": "man",
		        "youth": "boy",
		        "parent": "father",
		        "child": "son",
		        "sibling": "brother",
		        "married": "husband",
		        "dating": "boyfriend",
		        "plurality": "singular"
		      };
		    case "they":
		      return {
		        "subjective": "they",
		        "objective": "them",
		        "possessive": "their",
		        "adjective": "theirs",
		        "reflexive": "themself",
		        "honorific-abbr": "Mx.",
		        "honorific": "mix",
		        "adult": "person",
		        "youth": "kid",
		        "parent": "parent",
		        "child": "child",
		        "sibling": "sibling",
		        "married": "spouse",
		        "dating": "partner",
		        "plurality": "plural"
		      };
		    case "first":
		      return {
		        "subjective": "I",
		        "objective": "me",
		        "possessive": "my",
		        "adjective": "mine",
		        "reflexive": "myself"
		      };
		    case "second":
		      return {
		        "subjective": "you",
		        "objective": "you",
		        "possessive": "your",
		        "adjective": "yours",
		        "reflexive": "yourself"
		      };
		    case "first-plural":
		      return {
		        "subjective": "we",
		        "objective": "us",
		        "possessive": "our",
		        "adjective": "ours",
		        "reflexive": "ourselves"
		      };
		    case "second-plural":
		      return {
		        "subjective": "you",
		        "objective": "you",
		        "possessive": "your",
		        "adjective": "yours",
		        "reflexive": "yourselves"
		      };
		    case "third-plural":
		      return {
		        "subjective": "they",
		        "objective": "them",
		        "possessive": "their",
		        "adjective": "theirs",
		        "reflexive": "themselves"
		      };
		    case "other":
		      return other;
		  }
		}

		/* Replaces all point-of-view keys */
		function replacePov(options) {
		  let pronouns;
		  if (options.pov == "third") {
		    pronouns = getPronouns(options.preset, options.other);
		    walk(document.body, /([Pp])ov\/S/, options.name, pronounMethod);
		    walk(document.body, /([Pp])ov\/O/, options.name, pronounMethod);
		    walk(document.body, /([Pp])ov\/P/, options.name + "’s", pronounMethod);
		    walk(document.body, /([Pp])ov\/A/, options.name + "’s", pronounMethod);
		    walk(document.body, /([Pp])ov\/R/, options.name + "’s self", pronounMethod);
		  } else {
		    pronouns = getPronouns(options.pov, null);
		    walk(document.body, /([Pp])ov\/S/, pronouns["subjective"], pronounMethod);
		    walk(document.body, /([Pp])ov\/O/, pronouns["objective"], pronounMethod);
		    walk(document.body, /([Pp])ov\/P/, pronouns["possessive"], pronounMethod);
		    walk(document.body, /([Pp])ov\/A/, pronouns["adjective"], pronounMethod);
		    walk(document.body, /([Pp])ov\/R/, pronouns["reflexive"], pronounMethod);
		  }
		  walk(document.body, /([Pp])ov\/s/, pronouns["subjective"], pronounMethod);
		  walk(document.body, /([Pp])ov\/o/, pronouns["objective"], pronounMethod);
		  walk(document.body, /([Pp])ov\/p/, pronouns["possessive"], pronounMethod);
		  walk(document.body, /([Pp])ov\/a/, pronouns["adjective"], pronounMethod);
		  walk(document.body, /([Pp])ov\/r/, pronouns["reflexive"], pronounMethod);
		}

		/* Replaces plural point-of-view keys */
		function replacePlv(options) {
		  let pronouns = getPronouns(options.pov + "-plural", null);
		  walk(document.body, /([Pp])lv\/s/, pronouns["subjective"], pronounMethod);
		  walk(document.body, /([Pp])lv\/o/, pronouns["objective"], pronounMethod);
		  walk(document.body, /([Pp])lv\/p/, pronouns["possessive"], pronounMethod);
		  walk(document.body, /([Pp])lv\/a/, pronouns["adjective"], pronounMethod);
		  walk(document.body, /([Pp])lv\/r/, pronouns["reflexive"], pronounMethod);
		}

		/* Replaces additional terms specified by the user */
		function replaceAlso(options) {
		  Object.entries(options.also).forEach(([key, value]) => {
		    escapeAndReplace(key, value);
		  });
		}

		/* Replaces exception statements by POV */
		function replaceExceptions(options) {
		  const searchTerm = /exc\/([^\/]*)\/([^\/]*)\/(?:([^\/]*)\/)?/i;
		  walk(document.body, searchTerm, options, exceptionMethod);
		}

		/* Replaces cut statements with cuts */
		function replaceCuts() {
		  const searchTerm = /cut\/([^\/]+)\/(off|only) (first|last) ([1-9][0-9]*)\//i;
		  walk(document.body, searchTerm, null, cutMethod);
		}

		/* Replaces capital statements statements with requested casing */
		function replaceCapitals() {
		  const searchTerm = /(cap|Cap|CAP)\/([^\/]+)\//i;
		  walk(document.body, searchTerm, null, capitalMethod);
		}

		/* Replaces mirror statements with reversed phrases */
		function replaceMirror() {
		  const searchTerm = /mrr\/([^\/]+)\//i;
		  walk(document.body, searchTerm, null, mirrorMethod);
		}

		/* Turns a term into regexp format and uses that to replace it */
		function escapeAndReplace(searchTerm, replaceValue, caseSensitive) {
		  let searchTermEscaped = searchTerm.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g, "\\$&");
		  const flags = "g" ;
		  if (searchTermEscaped[0].match(/[a-z]/i)) {
		    searchTermEscaped = `\\b${searchTermEscaped}`;
		  }
		  if (searchTermEscaped[searchTermEscaped.length - 1].match((/[a-z]/i))) {
		    searchTermEscaped = `${searchTermEscaped}\\b`;
		  }
		  const searchTermRegexp = new RegExp(searchTermEscaped, flags);
		  walk(document.body, searchTermRegexp, replaceValue, directMethod);
		}

		/* Traverses a node and its children to run the provided replacement method */
		function walk(node, searchTerm, replaceValue, replaceMethod) {
		  if (node.contentEditable == "true" || node.type == "textarea" || node.type == "input") { return; }
		  let child, next;
		  switch (node.nodeType) {
		    case 1:  /* ELEMENT_NODE */
		    case 9:  /* DOCUMENT_NODE */
		    case 11: /* DOCUMENT_FRAGMENT_NODE */
		      child = node.firstChild;
		      while (child) {
		        next = child.nextSibling;
		        walk(child, searchTerm, replaceValue, replaceMethod);
		        child = next;
		      }
		      break;
		    case 3: /* TEXT_NODE */
		      replaceMethod(node, searchTerm, replaceValue);
		  }
		}

		/* Replaces every instance of the provided terms */
		function directMethod(node, searchTerm, replaceValue) {
		  node.nodeValue = node.nodeValue.replaceAll(searchTerm, replaceValue);
		}

		/* Replaces all pronouns */
		function pronounMethod(node, searchTerm, pronoun) {
		  const match = node.nodeValue.match(searchTerm);
		  if (match == null) { return; }
		  const isCapital = /P/.test(match[1]);

		  let replaceValue = pronoun;
		  if (isCapital) {
		    replaceValue = capitalize(replaceValue);
		  }

		  node.nodeValue = node.nodeValue.replace(searchTerm, replaceValue);
		  pronounMethod(node, searchTerm, pronoun);
		}

		/* Replaces all verbs, not used for third-person plural */
		function verbMethod(node, searchTerm, options) {
		  const match = node.nodeValue.match(searchTerm);
		  if (match == null) { return; }
		  const isCapital = /V/.test(match[1]);
		  const category = match[2];
		  const verb = match[3];
		  let tense = match[4];

		  if (tense == null) {
		    tense = "PAST";
		  } else {
		    tense = tense.toUpperCase().replaceAll(" ", "_");
		  }

		  let povIndex;
		  switch (category) {
		    case "B": /* B and b vary by POV, capitalized to indicate a named subject */
		      if (options.pov == "third") {
		        povIndex = getPovIndex("third-singular", null);
		      } else {
		        povIndex = getPovIndex(options.pov, options);
		      }
		      break;
		    case "b":
		      povIndex = getPovIndex(options.pov, options);
		      break;
		    case "N": /* N and n are always third-person */
		      povIndex = getPovIndex("third-singular", null);
		      break;
		    case "n":
		      povIndex = getPovIndex("third", options);
		  }

		  let replaceValue = verbsHelper.getConjugation(verbsData, verb, tense, povIndex);

		  if (isCapital) {
		    replaceValue = capitalize(replaceValue);
		  }

		  node.nodeValue = node.nodeValue.replace(searchTerm, replaceValue);
		  verbMethod(node, searchTerm, options);
		}

		/* Allows for first, second, and third-person POV to read differently */
		function exceptionMethod(node, searchTerm, options) {
		  const match = node.nodeValue.match(searchTerm);
		  if (match == null) { return; }
		  let replaceValue;

		  const isFirstSecondSame = match[3] == null;
		  if (isFirstSecondSame) {
		    if (options.pov == "third") {
		      replaceValue = match[2];
		    } else {
		      replaceValue = match[1];
		    }
		  } else {
		    if (options.pov == "third") {
		      replaceValue = match[3];
		    } else if (options.pov == "second") {
		      replaceValue = match[2];
		    } else {
		      replaceValue = match[1];
		    }
		  }




		  node.nodeValue = node.nodeValue.replace(searchTerm, replaceValue);
		  exceptionMethod(node, searchTerm, options);
		}

		/* Allows for custom words to be truncated */
		function cutMethod(node, searchTerm, unused) {
		  const match = node.nodeValue.match(searchTerm);
		  if (match == null) { return; }
		  const target = match[1];
		  const length = target.length;
		  const isOnly = match[2] == "only";
		  const isFirst = match[3] == "first";
		  const index = Number(match[4]);

		  let start, end;
		  if (isOnly) {
		    if (isFirst) { // only first n
		      start = 0;
		      end = Math.min(index, length - 1);
		    } else { // only last n
		      start = Math.max(length - index, 1);
		      end = length;
		    }
		  } else {
		    if (isFirst) { // off first n
		      start = Math.min(index, length - 1);	      end = length;
		    } else { // off last n
		      start = 0;
		      end = Math.max(length - index, 1);
		    }
		  }

		  const replaceValue = target.slice(start, end);

		  node.nodeValue = node.nodeValue.replace(searchTerm, replaceValue);
		  cutMethod(node, searchTerm);
		}

		/* Allows for custom words to be capitalized */
		function capitalMethod(node, searchTerm, unused) {
		  const match = node.nodeValue.match(searchTerm);
		  if (match == null) { return; }
		  const style = match[1];
		  const target = match[2];
		  const isLowerCase = /c/.test(style.slice(0,1)); // cap

		  let replaceValue;
		  if (isLowerCase) {
		    replaceValue = target.toLowerCase();
		  } else {
		    const isStartCase = /a/.test(style.slice(1,2)); // Cap
		    if (isStartCase) {
		      replaceValue = capitalize(target);
		    } else { // CAP
		      replaceValue = target.toUpperCase();
		    }
		  }

		  node.nodeValue = node.nodeValue.replace(searchTerm, replaceValue);
		  capitalMethod(node, searchTerm);
		}

		/* Allows for custom words to be mirrored */
		function mirrorMethod(node, searchTerm, unused) {
		  const match = node.nodeValue.match(searchTerm);
		  if (match == null) { return; }
		  const target = match[1];

		  let replaceValue = target.split('').reverse().join('');

		  node.nodeValue = node.nodeValue.replace(searchTerm, replaceValue);
		  mirrorMethod(node, searchTerm);
		}

		/* Returns the input word, capitalized */
		function capitalize(word) {
		  return word.charAt(0).toUpperCase() + word.slice(1);
		}

		/* Determines the index for point-of-view to be used when conjugating verbs */
		function getPovIndex(pov, options) {
		  switch (pov) {
		    case "first":
		      return 0;
		    case "second":
		      return 1;
		    case "third-singular":
		      return 2;
		    case "third":
		      if (getPronouns(options.preset, options.other).plurality == "singular") {
		        return 2;
		      } else { /* Plurality is plural, "they go" */
		        return 5;
		      }
		  }
		}

		replaceAll();
		return replaceWords$1;
	}

	var replaceWordsExports = requireReplaceWords();
	var replaceWords = /*@__PURE__*/getDefaultExportFromCjs(replaceWordsExports);

	return replaceWords;

})();
